000100 IDENTIFICATION DIVISION.                                         POS00232
000200 PROGRAM-ID.    CALRPK.                                           89/02/16
000300                                                                  SOBEMAP.
000400 AUTHOR.        PIETER HINTJENS.                                  SOBEMAP.
000500 DATE-WRITTEN.  89/02/16                                          89/02/16
000600     -REVISED:  93/09/09.                                         93/09/09
000700                                                                  SOBEMAP.
000800 ENVIRONMENT DIVISION.                                            SOBEMAP.
000900                                                                  SOBEMAP.
001000 CONFIGURATION SECTION.                                           SOBEMAP.
001100 SOURCE-COMPUTER. PORTABLE.                                       89/02/16
001200 OBJECT-COMPUTER. PORTABLE.                                       89/02/16
001300                                                                  SOBEMAP.
001400 DATA DIVISION.                                                   SOBEMAP.
001500                                                                  SOBEMAP.
001600 WORKING-STORAGE SECTION.                                         SOBEMAP.
001700                                                                  SOBEMAP.
001800 01  VARIOUS-VARIABLES.                                           89/02/16
001900     02  NBR-DAYS                PIC S9(7)  COMP.                 89/02/16
002000     02  NBR-YEARS               PIC S9(7)  COMP.                 89/02/16
002100     02  NBR-LEAPS               PIC S9(7)  COMP.                 89/02/16
002200     02  DOY-DAYS                PIC S9(7)  COMP.                 89/02/16
002300     02  YEAR-DIV                PIC S9(5)  COMP.                 89/02/16
002400     02  WEEK-DIV                PIC S9(5)  COMP.                 89/02/17
002500     02  NBR-MONTHS              PIC S9(3)  COMP.                 89/02/17
002600     02  LEAP-YEAR               PIC S9(3)  COMP.                 89/02/16
002700     02  YEAR-REM                PIC S9(3)  COMP.                 89/02/16
002800     02  WEEK-REM                PIC S9(3)  COMP.                 89/02/17
002900                                                                  89/02/16
003000 01  DAYS-AT-MONTHS.                                              89/02/17
003100     02  FILLER                  PIC S9(3)  COMP VALUE ZERO.      89/02/16
003200     02  FILLER                  PIC S9(3)  COMP VALUE 31.        89/02/16
003300     02  FILLER                  PIC S9(3)  COMP VALUE 59.        89/02/16
003400     02  FILLER                  PIC S9(3)  COMP VALUE 90.        89/02/16
003500     02  FILLER                  PIC S9(3)  COMP VALUE 120.       89/02/16
003600     02  FILLER                  PIC S9(3)  COMP VALUE 151.       89/02/16
003700     02  FILLER                  PIC S9(3)  COMP VALUE 181.       89/02/16
003800     02  FILLER                  PIC S9(3)  COMP VALUE 212.       89/02/16
003900     02  FILLER                  PIC S9(3)  COMP VALUE 243.       89/02/16
004000     02  FILLER                  PIC S9(3)  COMP VALUE 273.       89/02/16
004100     02  FILLER                  PIC S9(3)  COMP VALUE 304.       89/02/16
004200     02  FILLER                  PIC S9(3)  COMP VALUE 334.       89/02/16
004300 01  FILLER                      REDEFINES  DAYS-AT-MONTHS.       89/02/17
004400     02  DAYS-AT-MONTH           PIC S9(3)  COMP                  89/02/17
004500                                            OCCURS 12 TIMES.      89/02/16
004600 01  DAYS-IN-MONTHS.                                              89/02/17
004700     02  FILLER                  PIC S9(3)  COMP VALUE 31.        89/02/17
004800     02  FILLER                  PIC S9(3)  COMP VALUE 28.        89/02/17
004900     02  FILLER                  PIC S9(3)  COMP VALUE 31.        89/02/17
005000     02  FILLER                  PIC S9(3)  COMP VALUE 30.        89/02/17
005100     02  FILLER                  PIC S9(3)  COMP VALUE 31.        89/02/17
005200     02  FILLER                  PIC S9(3)  COMP VALUE 30.        89/02/17
005300     02  FILLER                  PIC S9(3)  COMP VALUE 31.        89/02/17
005400     02  FILLER                  PIC S9(3)  COMP VALUE 31.        89/02/17
005500     02  FILLER                  PIC S9(3)  COMP VALUE 30.        89/02/17
005600     02  FILLER                  PIC S9(3)  COMP VALUE 31.        89/02/17
005700     02  FILLER                  PIC S9(3)  COMP VALUE 30.        89/02/17
005800     02  FILLER                  PIC S9(3)  COMP VALUE 31.        89/02/17
005900 01  FILLER                      REDEFINES  DAYS-IN-MONTHS.       89/02/17
006000     02  DAYS-IN-MONTH           PIC S9(3)  COMP                  89/02/17
006100                                            OCCURS 12 TIMES.      89/02/17
006200 01  WEEK-ADJUSTS.                                                89/02/17
006300     02  FILLER                  PIC S9(3)  COMP VALUE 6.         89/02/17
006400     02  FILLER                  PIC S9(3)  COMP VALUE 0.         89/02/17
006500     02  FILLER                  PIC S9(3)  COMP VALUE 1.         89/02/17
006600     02  FILLER                  PIC S9(3)  COMP VALUE 2.         89/02/17
006700     02  FILLER                  PIC S9(3)  COMP VALUE 3.         89/02/17
006800     02  FILLER                  PIC S9(3)  COMP VALUE 4.         89/02/17
006900     02  FILLER                  PIC S9(3)  COMP VALUE 5.         89/02/17
007000 01  FILLER                      REDEFINES  WEEK-ADJUSTS.         89/02/17
007100     02  WEEK-ADJUST             PIC S9(3)  COMP                  89/02/17
007200                                            OCCURS 7 TIMES.       89/02/17
007300 LINKAGE SECTION.                                                 SOBEMAP.
007400                                                                  SOBEMAP.
007500 01  CALEND-CONTROL.                                              89/02/16
007600     02  SESSION-TASK-ID         PIC X(4).                        89/02/16
007700     02  CALEND-OPERATION.                                        89/02/17
007800         03  CALEND-OP-TYPE      PIC X.                           89/02/17
007900             88  OP-GREGORIAN-DATE          VALUE IS "G".         89/02/17
008000             88  OP-JULIAN-FORMAT           VALUE IS "J".         93/09/09
008100             88  OP-LILLIAN-DATE            VALUE IS "L".         93/09/09
008200         03  CALEND-OP-CODE      PIC X.                           89/02/17
008300     02  CALEND-FEEDBACK         PIC X.                           89/02/16
008400         88  DATE-IS-VALID                  VALUE SPACE.          89/02/16
008500         88  DATE-IS-INVALID                VALUE "E".            89/02/16
008600     02  CALEND-GRE-DATE.                                         89/02/17
008700         03  GRE-YYYY            PIC 9(4).                        89/02/16
008800         03  GRE-MM              PIC 9(2).                        89/02/16
008900         03  GRE-DD              PIC 9(2).                        89/02/16
009000     02  FILLER                  REDEFINES  CALEND-GRE-DATE.      89/02/17
009100         03  GRE-YYYYMMDD        PIC 9(8).                        89/02/17
009200     02  CALEND-JUL-FORM.                                         93/09/09
009300         03  JUL-YYYY            PIC 9(4).                        89/02/16
009400         03  JUL-DDD             PIC 9(3).                        89/02/16
009500     02  FILLER                  REDEFINES  CALEND-JUL-FORM.      93/09/09
009600         03  JUL-YYYYDDD         PIC 9(7).                        89/02/17
009700     02  CALEND-LIL-DATE.                                         89/02/17
009800         03  LIL-DDDDDDD         PIC 9(7).                        89/02/16
009900                                                                  89/02/17
010000     02  CALEND-DAY-OF-WEEK      PIC 9.                           89/02/17
010100     02  CALEND-WEEK-OF-YEAR     PIC 9(2).                        89/02/17
010200                                                                  88/10/10
010300 PROCEDURE DIVISION                                               SOBEMAP.
010400     USING CALEND-CONTROL.                                        89/02/16
010500 BEGIN-PROGRAM.                                                   SOBEMAP.
010600     MOVE SPACE TO CALEND-FEEDBACK                                89/02/16
010700                                                                  SOBEMAP.
010800     IF OP-GREGORIAN-DATE                                         89/02/17
010900         PERFORM GREGORIAN-DATE-OPERATIONS                        89/02/17
011000     ELSE                                                         89/02/17
011100     IF OP-JULIAN-FORMAT                                          93/09/09
011200         PERFORM JULIAN-FORMAT-OPERATIONS                         93/09/09
011300     ELSE                                                         89/02/17
011400     IF OP-LILLIAN-DATE                                           93/09/09
011500         PERFORM LILLIAN-DATE-OPERATIONS                          93/09/09
011600     ELSE                                                         89/02/17
011700         MOVE "O" TO CALEND-FEEDBACK                              89/02/17
011800     .                                                            89/02/17
011900 RETURN-TO-CALLER.                                                89/02/17
012000     EXIT PROGRAM                                                 89/02/17
012100     .                                                            89/02/17
012200                                                                  89/02/17
012300******************************************************************89/02/17
012400                                                                  89/02/17
012500 GREGORIAN-DATE-OPERATIONS.                                       89/02/17
012600     PERFORM GRE-VALIDATE-DATE                                    89/02/17
012700     IF DATE-IS-VALID                                             89/02/17
012800         IF CALEND-OP-CODE = "D"                                  89/02/17
012900             PERFORM GRE-RETURN-DAY-OF-WEEK                       89/02/17
013000         ELSE                                                     89/02/17
013100         IF CALEND-OP-CODE = "W"                                  89/02/17
013200             PERFORM GRE-RETURN-WEEK-OF-YEAR                      89/02/17
013300         ELSE                                                     89/02/17
013400         IF CALEND-OP-CODE = "J"                                  89/02/17
013500             PERFORM GRE-CONVERT-TO-JUL                           89/02/17
013600         ELSE                                                     89/02/17
013700         IF CALEND-OP-CODE = "L"                                  89/02/17
013800             PERFORM GRE-CONVERT-TO-LIL                           89/02/17
013900         ELSE                                                     89/02/17
014000         IF CALEND-OP-CODE NOT = "V"                              89/02/17
014100             MOVE "O" TO CALEND-FEEDBACK                          89/02/17
014200     .                                                            89/02/17
014300                                                                  89/02/17
014400 GRE-VALIDATE-DATE.                                               89/02/17
014500     IF GRE-YYYYMMDD < 16000101                                   89/02/17
014600     OR GRE-MM = ZERO OR > 12                                     89/02/17
014700         MOVE "ERROR" TO CALEND-FEEDBACK                          89/02/17
014800     ELSE                                                         89/02/17
014900         PERFORM VALIDATE-GRE-DAYS-IN-MONTH                       89/02/17
015000     .                                                            89/02/17
015100                                                                  89/02/17
015200 VALIDATE-GRE-DAYS-IN-MONTH.                                      89/02/17
015300     MOVE GRE-YYYY                   TO NBR-YEARS                 92/12/25
015400     MOVE GRE-MM                     TO NBR-MONTHS                89/02/17
015500     MOVE DAYS-IN-MONTH (NBR-MONTHS) TO NBR-DAYS                  89/02/17
015600     PERFORM CHECK-IF-LEAP-YEAR                                   92/12/25
015700     IF NBR-MONTHS = 2                                            89/02/17
015800         ADD LEAP-YEAR TO NBR-DAYS                                89/02/17
015900     .                                                            89/02/17
016000     IF GRE-DD = ZERO OR > NBR-DAYS                               89/02/17
016100         MOVE "ERROR" TO CALEND-FEEDBACK                          89/02/17
016200     .                                                            89/02/17
016300                                                                  89/02/17
016400 CHECK-IF-LEAP-YEAR.                                              92/12/25
016500     MOVE ZERO TO LEAP-YEAR                                       92/12/25
016600     DIVIDE 4 INTO NBR-YEARS                                      92/12/25
016700         GIVING    YEAR-DIV                                       92/12/25
016800         REMAINDER YEAR-REM                                       92/12/25
016900     IF YEAR-REM = ZERO                                           92/12/25
017000         MOVE 1 TO LEAP-YEAR                                      92/12/25
017100         DIVIDE 100 INTO NBR-YEARS                                92/12/25
017200             GIVING      YEAR-DIV                                 92/12/25
017300             REMAINDER   YEAR-REM                                 92/12/25
017400         IF YEAR-REM = ZERO                                       92/12/25
017500             DIVIDE 400 INTO NBR-YEARS                            92/12/25
017600                 GIVING      YEAR-DIV                             92/12/25
017700                 REMAINDER   YEAR-REM                             92/12/25
017800             IF YEAR-REM > ZERO                                   92/12/25
017900                 MOVE ZERO TO LEAP-YEAR                           92/12/25
018000     .                                                            92/12/25
018100                                                                  92/12/25
018200 GRE-RETURN-DAY-OF-WEEK.                                          89/02/17
018300     PERFORM GRE-CONVERT-TO-LIL                                   89/02/17
018400     PERFORM RETURN-DAY-OF-WEEK                                   89/02/17
018500     .                                                            89/02/17
018600                                                                  89/02/17
018700 RETURN-DAY-OF-WEEK.                                              89/02/17
018800     PERFORM GET-DAY-OF-WEEK-REM                                  89/02/17
018900     MOVE WEEK-REM TO CALEND-DAY-OF-WEEK                          89/02/17
019000     .                                                            89/02/17
019100                                                                  89/02/17
019200 GET-DAY-OF-WEEK-REM.                                             89/02/17
019300     ADD 3 TO NBR-DAYS                                            89/02/17
019400     DIVIDE 7 INTO NBR-DAYS                                       89/02/17
019500         GIVING    WEEK-DIV                                       89/02/17
019600         REMAINDER WEEK-REM                                       89/02/17
019700                                                                  89/02/17
019800     ADD 1 TO WEEK-REM                                            89/02/17
019900     .                                                            89/02/17
020000                                                                  89/02/17
020100 GRE-RETURN-WEEK-OF-YEAR.                                         89/02/17
020200     PERFORM GRE-CONVERT-TO-LIL                                   89/02/17
020300     PERFORM RETURN-WEEK-OF-YEAR                                  89/02/17
020400     .                                                            89/02/17
020500                                                                  89/02/17
020600 RETURN-WEEK-OF-YEAR.                                             89/02/17
020700     MOVE JUL-DDD TO DOY-DAYS                                     89/02/17
020800     MOVE    1    TO JUL-DDD                                      89/02/17
020900     PERFORM CONVERT-JUL-TO-NBR-DAYS                              89/02/17
021000     PERFORM GET-DAY-OF-WEEK-REM                                  89/02/17
021100     COMPUTE WEEK-DIV = (DOY-DAYS + WEEK-ADJUST (WEEK-REM)) / 7   89/02/17
021200     MOVE DOY-DAYS TO JUL-DDD                                     89/02/17
021300     MOVE WEEK-DIV TO CALEND-WEEK-OF-YEAR                         89/02/17
021400     .                                                            89/02/17
021500                                                                  89/02/17
021600 CONVERT-JUL-TO-NBR-DAYS.                                         89/02/17
021700     COMPUTE NBR-DAYS  = (JUL-YYYY - 1501) * 365.25               89/02/17
021800     COMPUTE NBR-DAYS  = NBR-DAYS - 29872 + JUL-DDD               89/02/17
021900     COMPUTE NBR-LEAPS = (JUL-YYYY - 1501) / 100                  89/02/17
022000     SUBTRACT NBR-LEAPS FROM NBR-DAYS                             89/02/17
022100     COMPUTE NBR-LEAPS = (JUL-YYYY - 1201) / 400                  89/02/17
022200     ADD NBR-LEAPS TO NBR-DAYS                                    89/02/17
022300     .                                                            89/02/17
022400                                                                  89/02/17
022500 GRE-CONVERT-TO-JUL.                                              89/02/17
022600     COMPUTE NBR-DAYS = DAYS-AT-MONTH (NBR-MONTHS) + GRE-DD       92/12/25
022700     IF NBR-MONTHS > 2                                            92/12/25
022800         ADD LEAP-YEAR TO NBR-DAYS                                92/12/25
022900     .                                                            92/12/25
023000     MOVE NBR-YEARS TO JUL-YYYY                                   92/12/25
023100     MOVE NBR-DAYS  TO JUL-DDD                                    92/12/25
023200     .                                                            89/02/17
023300                                                                  89/02/17
023400 GRE-CONVERT-TO-LIL.                                              89/02/17
023500     PERFORM GRE-CONVERT-TO-JUL                                   89/02/17
023600     PERFORM JUL-CONVERT-TO-LIL                                   89/02/17
023700     .                                                            89/02/17
023800                                                                  89/02/17
023900******************************************************************89/02/17
024000                                                                  89/02/17
024100 JULIAN-FORMAT-OPERATIONS.                                        93/09/09
024200     PERFORM JUL-VALIDATE-DATE                                    89/02/17
024300     IF DATE-IS-VALID                                             89/02/17
024400         IF CALEND-OP-CODE = "D"                                  89/02/17
024500             PERFORM JUL-RETURN-DAY-OF-WEEK                       89/02/17
024600         ELSE                                                     89/02/17
024700         IF CALEND-OP-CODE = "W"                                  89/02/17
024800             PERFORM JUL-RETURN-WEEK-OF-YEAR                      89/02/17
024900         ELSE                                                     89/02/17
025000         IF CALEND-OP-CODE = "G"                                  89/02/17
025100             PERFORM JUL-CONVERT-TO-GRE                           89/02/17
025200         ELSE                                                     89/02/17
025300         IF CALEND-OP-CODE = "L"                                  89/02/17
025400             PERFORM JUL-CONVERT-TO-LIL                           89/02/17
025500         ELSE                                                     89/02/17
025600         IF CALEND-OP-CODE NOT = "V"                              89/02/17
025700             MOVE "O" TO CALEND-FEEDBACK                          89/02/17
025800     .                                                            89/02/17
025900                                                                  89/02/17
026000 JUL-VALIDATE-DATE.                                               89/02/17
026100     MOVE JUL-YYYY TO NBR-YEARS                                   89/02/17
026200     PERFORM CHECK-IF-LEAP-YEAR                                   92/12/25
026300     COMPUTE NBR-DAYS = 365 + LEAP-YEAR                           89/02/17
026400     IF JUL-YYYYDDD < 1600001                                     89/02/17
026500     OR JUL-DDD = ZERO OR > NBR-DAYS                              89/02/17
026600         MOVE "ERROR" TO CALEND-FEEDBACK                          89/02/17
026700     .                                                            89/02/17
026800                                                                  89/02/17
026900 JUL-RETURN-DAY-OF-WEEK.                                          89/02/17
027000     PERFORM JUL-CONVERT-TO-LIL                                   89/02/17
027100     PERFORM RETURN-DAY-OF-WEEK                                   89/02/17
027200     .                                                            89/02/17
027300                                                                  89/02/17
027400 JUL-RETURN-WEEK-OF-YEAR.                                         89/02/17
027500     PERFORM JUL-CONVERT-TO-LIL                                   89/02/17
027600     PERFORM RETURN-WEEK-OF-YEAR                                  89/02/17
027700     .                                                            89/02/17
027800                                                                  93/01/13
027900 JUL-CONVERT-TO-GRE.                                              93/01/13
028000     MOVE JUL-DDD TO NBR-DAYS                                     92/11/28
028100     IF NBR-DAYS > 60                                             93/01/21
028200         SUBTRACT LEAP-YEAR FROM NBR-DAYS                         93/01/21
028300         PERFORM FIND-MONTH-FOR-NBR-DAYS                          93/01/21
028400     ELSE                                                         93/01/21
028500         PERFORM FIND-MONTH-FOR-NBR-DAYS                          93/01/21
028600         IF NBR-DAYS = 60                                         93/01/21
028700             SUBTRACT LEAP-YEAR FROM NBR-MONTHS                   93/01/21
028800     .                                                            93/01/21
028900     SUBTRACT DAYS-AT-MONTH (NBR-MONTHS) FROM NBR-DAYS            92/11/28
029000     MOVE JUL-YYYY   TO GRE-YYYY                                  89/02/17
029100     MOVE NBR-MONTHS TO GRE-MM                                    89/02/17
029200     MOVE NBR-DAYS   TO GRE-DD                                    89/02/17
029300     .                                                            89/02/17
029400                                                                  89/02/17
029500 FIND-MONTH-FOR-NBR-DAYS.                                         93/01/21
029600     PERFORM FIND-MONTH-IN-YEAR                                   93/01/21
029700       VARYING NBR-MONTHS FROM 12 BY -1                           93/01/21
029800         UNTIL DAYS-AT-MONTH (NBR-MONTHS) < NBR-DAYS              93/01/21
029900     .                                                            93/01/21
030000                                                                  93/01/21
030100 FIND-MONTH-IN-YEAR.                                              89/02/17
030200     EXIT                                                         89/02/17
030300     .                                                            89/02/17
030400                                                                  89/02/17
030500 JUL-CONVERT-TO-LIL.                                              89/02/17
030600     PERFORM CONVERT-JUL-TO-NBR-DAYS                              89/02/17
030700     MOVE NBR-DAYS TO LIL-DDDDDDD                                 89/02/17
030800     .                                                            89/02/17
030900                                                                  89/02/17
031000******************************************************************89/02/17
031100                                                                  89/02/17
031200 LILLIAN-DATE-OPERATIONS.                                         93/09/09
031300     PERFORM LIL-VALIDATE-DATE                                    89/02/17
031400     IF DATE-IS-VALID                                             89/02/17
031500         IF CALEND-OP-CODE = "D"                                  89/02/17
031600             PERFORM LIL-RETURN-DAY-OF-WEEK                       89/02/17
031700         ELSE                                                     89/02/17
031800         IF CALEND-OP-CODE = "W"                                  89/02/17
031900             PERFORM LIL-RETURN-WEEK-OF-YEAR                      89/02/17
032000         ELSE                                                     89/02/17
032100         IF CALEND-OP-CODE = "G"                                  89/02/17
032200             PERFORM LIL-CONVERT-TO-GRE                           89/02/17
032300         ELSE                                                     89/02/17
032400         IF CALEND-OP-CODE = "J"                                  89/02/17
032500             PERFORM LIL-CONVERT-TO-JUL                           89/02/17
032600         ELSE                                                     89/02/17
032700         IF CALEND-OP-CODE NOT = "V"                              89/02/17
032800             MOVE "O" TO CALEND-FEEDBACK                          89/02/17
032900     .                                                            89/02/17
033000                                                                  89/02/17
033100 LIL-VALIDATE-DATE.                                               89/02/17
033200     IF LIL-DDDDDDD < 6288 OR > 3074324                           89/02/17
033300         MOVE "ERROR" TO CALEND-FEEDBACK                          89/02/17
033400     .                                                            89/02/17
033500                                                                  89/02/17
033600 LIL-RETURN-DAY-OF-WEEK.                                          89/02/17
033700     MOVE LIL-DDDDDDD TO NBR-DAYS                                 89/02/17
033800     PERFORM RETURN-DAY-OF-WEEK                                   89/02/17
033900     .                                                            89/02/17
034000                                                                  89/02/17
034100 LIL-RETURN-WEEK-OF-YEAR.                                         89/02/17
034200     PERFORM LIL-CONVERT-TO-JUL                                   89/02/17
034300     PERFORM RETURN-WEEK-OF-YEAR                                  89/02/17
034400     .                                                            89/02/17
034500                                                                  89/02/17
034600 LIL-CONVERT-TO-GRE.                                              89/02/17
034700     PERFORM LIL-CONVERT-TO-JUL                                   89/02/17
034800     PERFORM JUL-CONVERT-TO-GRE                                   89/02/17
034900     .                                                            89/02/17
035000                                                                  89/02/17
035100 LIL-CONVERT-TO-JUL.                                              89/02/17
035200     PERFORM CONVERT-LIL-TO-NBR-YEARS-DAYS                        89/02/17
035300     PERFORM CHECK-IF-LEAP-YEAR                                   92/12/25
035400     MOVE NBR-YEARS TO JUL-YYYY                                   89/02/17
035500     MOVE NBR-DAYS  TO JUL-DDD                                    89/02/17
035600     .                                                            89/02/17
035700                                                                  89/02/17
035800 CONVERT-LIL-TO-NBR-YEARS-DAYS.                                   89/02/17
035900     COMPUTE NBR-DAYS  = LIL-DDDDDDD + 139444                     89/02/17
036000     COMPUTE NBR-LEAPS = NBR-DAYS / 36524.25                      89/02/17
036100     ADD     NBR-LEAPS TO NBR-DAYS                                89/02/17
036200     COMPUTE NBR-LEAPS = NBR-LEAPS / 4                            89/02/17
036300     SUBTRACT NBR-LEAPS FROM NBR-DAYS                             89/02/17
036400                                                                  89/02/17
036500     COMPUTE NBR-YEARS = NBR-DAYS / 365.25                        89/02/17
036600     IF NBR-YEARS * 365.25 = NBR-DAYS                             89/02/17
036700         SUBTRACT 1 FROM NBR-YEARS                                89/02/17
036800     .                                                            89/02/17
036900     COMPUTE DOY-DAYS = NBR-YEARS * 365.25                        89/02/17
037000     SUBTRACT DOY-DAYS FROM NBR-DAYS                              89/02/17
037100     ADD      1201     TO   NBR-YEARS                             89/02/17
037200     .                                                            89/02/17