000100 IDENTIFICATION DIVISION.                                         POS00480
000200 PROGRAM-ID.    STRNPK.                                           86/03/25
000300                                                                  88/07/14
000400 AUTHOR.        PIETER HINTJENS,                                  98/09/18
000500                LEIF SVALGAARD.                                   98/09/18
000600 DATE-WRITTEN.  86/03/25                                          86/03/25
000700     -REVISED:  98/09/20.                                         98/09/19
000800                                                                  86/03/25
000900 ENVIRONMENT DIVISION.                                            86/03/25
001000                                                                  86/03/25
001100 CONFIGURATION SECTION.                                           86/03/25
001200 SOURCE-COMPUTER. PORTABLE.                                       86/03/25
001300 OBJECT-COMPUTER. PORTABLE.                                       86/03/25
001400                                                                  86/03/25
001500 DATA DIVISION.                                                   86/03/25
001600                                                                  86/03/25
001700 WORKING-STORAGE SECTION.                                         86/03/25
001800                                                                  86/03/25
001900 01  VARIOUS-INDICES.                                             86/03/25
002000     02  TEXT-NBR                 PIC S9(3)  COMP.                88/01/21
002100     02  TEXT-NOT-FOUND           PIC S9(3)  COMP  VALUE +99.     88/01/21
002200     02  TEXT-FOUND               REDEFINES  TEXT-NOT-FOUND       88/01/21
002300                                  PIC S9(3)  COMP.                88/01/21
002400     02  CHAR-NBR                 PIC S9(3)  COMP.                86/03/25
002500     02  CONC-NBR                 PIC S9(3)  COMP.                88/01/21
002600     02  LAST-NBR                 PIC S9(3)  COMP.                88/01/21
002700     02  COPY-NBR                 PIC S9(3)  COMP.                86/03/25
002800     02  CUR-SIZE                 PIC S9(3)  COMP.                86/03/25
002900     02  SAVED-SIZE               PIC S9(3)  COMP.                94/08/31
003000                                                                  86/03/25
003100 01  VARIOUS-CHARACTERS.                                          86/03/25
003200     02  SAVED-CHAR               PIC X.                          86/03/25
003300                                                                  86/03/25
003400 LINKAGE SECTION.                                                 86/03/25
003500                                                                  86/03/25
003600 01  STRING-CONTROL.                                              86/03/25
003700     02  SESSION-TASK-ID          PIC X(4).                       86/03/25
003800     02  STRING-OPERATION         PIC X(1).                       86/03/25
003900         88  OP-LEFT-JUSTIFY                 VALUE IS "L".        86/03/25
004000         88  OP-CONCAT                       VALUE IS "C".        86/03/25
004100         88  OP-SIZE                         VALUE IS "S".        86/03/25
004200         88  OP-GET-SUBSTRING                VALUE IS "G".        88/01/21
004300         88  OP-GET-WORD                     VALUE IS "W".        87/04/22
004400         88  OP-RIGHT-JUSTIFY                VALUE IS "R".        86/03/25
004500         88  OP-MIDDLE                       VALUE IS "M".        87/01/22
004600         88  OP-FILL                         VALUE IS "F".        86/03/25
004700         88  OP-BRACKET                      VALUE IS "B".        86/03/25
004800         88  OP-DROP-CHARS                   VALUE IS "D".        86/03/25
004900         88  OP-EDIT-CHARS                   VALUE IS "E".        94/06/23
005000         88  OP-PACK                         VALUE IS "P".        86/03/25
005100         88  OP-TRUNCATE                     VALUE IS "T".        86/03/25
005200         88  OP-INVERT                       VALUE IS "I".        86/03/25
005300         88  OP-UNBRACKET                    VALUE IS "U".        86/03/25
005400         88  OP-APPEND                       VALUE IS "A".        89/07/12
005500         88  OP-OBLITERATE                   VALUE IS "O".        89/10/13
005600         88  OP-EXPAND                       VALUE IS "X".        98/09/18
005700                                                                  86/03/25
005800     02  STRING-FEEDBACK          PIC X(1).                       86/03/25
005900         88  OPERATION-ERROR                 VALUE IS "O".        86/03/25
006000                                                                  86/03/25
006100     02  STRING-SIZE              PIC S9(3)  COMP.                86/03/25
006200         88  STRING-IS-SPACES                VALUE IS +0.         86/03/25
006300                                                                  86/03/25
006400     02  STRING-TEXT.                                             86/03/25
006500         03  STRING-TEXT-CHAR     PIC X      OCCURS 80 TIMES.     86/03/25
006600                                                                  86/03/25
006700     02  FILLER                   REDEFINES  STRING-TEXT.         86/03/25
006800         03  FIRST-HALF.                                          86/03/25
006900             04  FIRST-QUARTER.                                   86/03/25
007000                 05  FIRST-CHAR   PIC X(01).                      86/03/25
007100                 05  FILLER       PIC X(19).                      86/03/25
007200             04  SECOND-QUARTER   PIC X(20).                      86/03/25
007300         03  SECOND-HALF.                                         86/03/25
007400             04  THIRD-QUARTER    PIC X(20).                      86/03/25
007500             04  FOURTH-QUARTER.                                  86/03/25
007600                 05  FILLER       PIC X(19).                      86/03/25
007700                 05  LAST-CHAR    PIC X(01).                      86/03/25
007800                                                                  86/03/25
007900     02  STRING-CONCAT.                                           86/03/25
008000         03  STRING-CONCAT-CHAR   PIC X      OCCURS 80 TIMES.     86/03/25
008100     02  FILLER                   REDEFINES  STRING-CONCAT.       86/03/25
008200         03  FILL-CHAR            PIC X.                          86/03/25
008300         03  REPL-CHAR            PIC X.                          94/06/23
008400         03  FILLER               PIC X(78).                      94/06/23
008500                                                                  86/03/25
008600 PROCEDURE DIVISION                                               86/03/25
008700     USING STRING-CONTROL.                                        86/03/25
008800 BEGIN-PROGRAM.                                                   86/03/25
008900     MOVE SPACE TO STRING-FEEDBACK                                87/01/22
009000                                                                  87/01/22
009100     IF OP-LEFT-JUSTIFY                                           86/03/25
009200         PERFORM LEFT-JUSTIFY-STRING                              90/02/22
009300     ELSE                                                         86/03/25
009400     IF OP-CONCAT                                                 86/03/25
009500         PERFORM CONCAT-STRINGS                                   86/03/25
009600     ELSE                                                         86/03/25
009700     IF OP-SIZE                                                   86/03/25
009800         PERFORM GET-STRING-SIZE                                  86/03/25
009900     ELSE                                                         86/03/25
010000     IF OP-GET-SUBSTRING                                          88/01/21
010100         PERFORM GET-SUBSTRING                                    88/01/21
010200     ELSE                                                         88/01/21
010300     IF OP-GET-WORD                                               87/04/22
010400         PERFORM GET-FIRST-WORD                                   87/04/22
010500     ELSE                                                         87/04/22
010600     IF OP-RIGHT-JUSTIFY                                          86/03/25
010700         PERFORM RIGHT-JUSTIFY-STRING                             90/02/22
010800     ELSE                                                         86/03/25
010900     IF OP-MIDDLE                                                 87/01/22
011000         PERFORM PLACE-IN-MIDDLE                                  87/01/22
011100     ELSE                                                         87/01/22
011200     IF OP-FILL                                                   86/03/25
011300         PERFORM FILL-STRING                                      86/03/25
011400     ELSE                                                         86/03/25
011500     IF OP-BRACKET                                                86/03/25
011600         PERFORM BRACKET-STRING                                   86/03/25
011700     ELSE                                                         86/03/25
011800     IF OP-DROP-CHARS                                             86/03/25
011900         PERFORM DROP-CHARACTERS                                  86/03/25
012000     ELSE                                                         86/03/25
012100     IF OP-EDIT-CHARS                                             94/06/23
012200         PERFORM EDIT-CHARACTERS                                  94/06/23
012300     ELSE                                                         94/06/23
012400     IF OP-PACK                                                   86/03/25
012500         PERFORM PACK-STRING                                      94/06/23
012600     ELSE                                                         86/03/25
012700     IF OP-TRUNCATE                                               86/03/25
012800         PERFORM TRUNCATE-STRING                                  86/03/25
012900     ELSE                                                         86/03/25
013000     IF OP-INVERT                                                 86/03/25
013100         PERFORM INVERT-STRING                                    86/03/25
013200     ELSE                                                         86/03/25
013300     IF OP-UNBRACKET                                              86/03/25
013400         PERFORM UNBRACKET-STRING                                 86/03/25
013500     ELSE                                                         86/03/25
013600     IF OP-APPEND                                                 89/07/12
013700         PERFORM APPEND-STRING                                    89/07/12
013800     ELSE                                                         89/07/12
013900     IF OP-OBLITERATE                                             89/10/13
014000         PERFORM OBLITERATE-FILLERS                               89/10/13
014100     ELSE                                                         89/10/13
014200     IF OP-EXPAND                                                 98/09/18
014300         PERFORM EXPAND-STRING                                    98/09/18
014400     ELSE                                                         98/09/18
014500         MOVE "O" TO STRING-FEEDBACK                              86/03/25
014600     .                                                            86/03/25
014700 RETURN-TO-CALLER.                                                89/07/12
014800     EXIT PROGRAM                                                 89/07/12
014900     .                                                            89/07/12
015000                                                                  89/07/12
015100 LEFT-JUSTIFY-STRING.                                             90/02/22
015200     PERFORM COUNT-FILL-CHARS                                     86/03/25
015300     COMPUTE STRING-SIZE = CHAR-NBR - 1                           86/03/25
015400     IF STRING-SIZE = ZERO                                        94/09/13
015500         PERFORM GET-STRING-SIZE                                  94/09/13
015600     ELSE                                                         94/09/13
015700         PERFORM DROP-CHARACTERS                                  94/09/12
015800     .                                                            86/03/25
015900                                                                  86/03/25
016000 COUNT-FILL-CHARS.                                                86/03/25
016100     PERFORM SCAN-CHARACTERS                                      86/03/25
016200       VARYING CHAR-NBR FROM 1 BY 1                               86/03/25
016300         UNTIL STRING-TEXT-CHAR (CHAR-NBR) NOT = FILL-CHAR        86/03/25
016400            OR CHAR-NBR = 80                                      86/03/25
016500     .                                                            86/03/25
016600                                                                  86/03/25
016700 CONCAT-STRINGS.                                                  86/03/25
016800     PERFORM GET-CUR-SIZE                                         94/09/12
016900     PERFORM CONCAT-CHARACTER                                     86/03/25
017000       VARYING CHAR-NBR FROM 1 BY 1                               86/03/25
017100         UNTIL CUR-SIZE = 80                                      86/03/25
017200                                                                  86/03/25
017300     PERFORM GET-STRING-SIZE                                      86/03/25
017400     .                                                            86/03/25
017500                                                                  86/03/25
017600 GET-CUR-SIZE.                                                    94/09/12
017700     MOVE FIRST-CHAR TO SAVED-CHAR                                86/03/25
017800     MOVE "X"        TO FIRST-CHAR                                86/03/25
017900                                                                  86/03/25
018000     IF SECOND-HALF = SPACES                                      86/03/25
018100         IF SECOND-QUARTER = SPACES                               86/03/25
018200             MOVE 20 TO CUR-SIZE                                  86/03/25
018300         ELSE                                                     86/03/25
018400             MOVE 40 TO CUR-SIZE                                  86/03/25
018500     ELSE                                                         86/03/25
018600         IF FOURTH-QUARTER = SPACES                               86/03/25
018700             MOVE 60 TO CUR-SIZE                                  86/03/25
018800         ELSE                                                     86/03/25
018900             MOVE 80 TO CUR-SIZE                                  86/03/25
019000     .                                                            86/03/25
019100     PERFORM SCAN-CHARACTERS                                      86/03/25
019200       VARYING CUR-SIZE FROM CUR-SIZE BY -1                       86/03/25
019300         UNTIL STRING-TEXT-CHAR (CUR-SIZE) NOT = SPACE            86/03/25
019400                                                                  86/03/25
019500     MOVE SAVED-CHAR TO FIRST-CHAR                                86/03/25
019600     IF STRING-TEXT-CHAR (CUR-SIZE) = SPACE                       86/03/25
019700         MOVE ZERO TO CUR-SIZE                                    86/03/25
019800     .                                                            86/03/25
019900                                                                  86/03/25
020000 SCAN-CHARACTERS.                                                 86/03/25
020100     EXIT                                                         86/03/25
020200     .                                                            86/03/25
020300                                                                  86/03/25
020400 CONCAT-CHARACTER.                                                86/03/25
020500     ADD 1 TO CUR-SIZE                                            86/03/25
020600     MOVE STRING-CONCAT-CHAR (CHAR-NBR)                           86/03/25
020700       TO STRING-TEXT-CHAR (CUR-SIZE)                             86/03/25
020800     .                                                            86/03/25
020900                                                                  86/03/25
021000 APPEND-STRING.                                                   89/07/12
021100     IF STRING-SIZE < 1                                           91/12/18
021200     OR STRING-SIZE > 80                                          91/12/18
021300         MOVE "O" TO STRING-FEEDBACK                              91/12/18
021400     ELSE                                                         91/12/18
021500         COMPUTE CUR-SIZE = STRING-SIZE - 1                       91/12/18
021600         PERFORM CONCAT-CHARACTER                                 91/12/18
021700           VARYING CHAR-NBR FROM 1 BY 1                           91/12/18
021800             UNTIL CUR-SIZE NOT < 80                              91/12/18
021900                                                                  89/07/12
022000         PERFORM GET-STRING-SIZE                                  91/12/18
022100         ADD 1 TO STRING-SIZE                                     91/12/18
022200     .                                                            89/07/12
022300                                                                  89/07/12
022400 GET-STRING-SIZE.                                                 86/03/25
022500     PERFORM GET-CUR-SIZE                                         94/09/12
022600     MOVE CUR-SIZE TO STRING-SIZE                                 86/03/25
022700     .                                                            86/03/25
022800                                                                  86/03/25
022900 GET-SUBSTRING.                                                   88/01/21
023000     MOVE ZERO TO STRING-SIZE                                     88/01/21
023100     PERFORM GET-CUR-SIZE                                         94/09/12
023200     IF CUR-SIZE = ZERO                                           88/01/21
023300         MOVE 1 TO CUR-SIZE                                       88/01/21
023400     .                                                            88/01/21
023500     COMPUTE LAST-NBR = 81 - CUR-SIZE                             88/01/21
023600                                                                  88/01/21
023700     MOVE 1 TO CHAR-NBR                                           88/01/21
023800     PERFORM SEARCH-FOR-SUBSTRING                                 88/01/21
023900       UNTIL CHAR-NBR > LAST-NBR                                  88/01/21
024000     .                                                            88/01/21
024100                                                                  88/01/21
024200 SEARCH-FOR-SUBSTRING.                                            88/01/21
024300     IF FIRST-CHAR NOT = STRING-CONCAT-CHAR (CHAR-NBR)            88/01/21
024400         ADD 1 TO CHAR-NBR                                        88/01/21
024500     ELSE                                                         88/01/21
024600         MOVE CHAR-NBR TO CONC-NBR                                88/01/21
024700         MOVE     2    TO TEXT-NBR                                88/01/21
024800         PERFORM CHECK-FOR-REST-OF-TEXT                           88/01/21
024900           UNTIL TEXT-NBR > CUR-SIZE                              88/01/21
025000                                                                  88/01/21
025100         IF TEXT-NBR = TEXT-NOT-FOUND                             88/01/21
025200             ADD 1 TO CHAR-NBR                                    88/01/21
025300         ELSE                                                     88/01/21
025400             MOVE  CHAR-NBR  TO STRING-SIZE                       88/01/21
025500             MOVE TEXT-FOUND TO CHAR-NBR                          88/01/21
025600     .                                                            88/01/21
025700                                                                  88/01/21
025800 CHECK-FOR-REST-OF-TEXT.                                          88/01/21
025900     ADD 1 TO CONC-NBR                                            88/01/21
026000     IF STRING-TEXT-CHAR   (TEXT-NBR) =                           88/01/21
026100        STRING-CONCAT-CHAR (CONC-NBR)                             88/01/21
026200         ADD 1 TO TEXT-NBR                                        88/01/21
026300     ELSE                                                         88/01/21
026400         MOVE TEXT-NOT-FOUND TO TEXT-NBR                          88/01/21
026500     .                                                            88/01/21
026600                                                                  88/01/21
026700 GET-FIRST-WORD.                                                  87/04/22
026800     PERFORM LEFT-JUSTIFY-STRING                                  90/02/22
026900     PERFORM SCAN-CHARACTERS                                      87/04/22
027000       VARYING CHAR-NBR FROM 1 BY 1                               87/04/22
027100         UNTIL STRING-TEXT-CHAR (CHAR-NBR) = FILL-CHAR            87/04/22
027200            OR CHAR-NBR = 80                                      87/04/22
027300                                                                  87/04/22
027400     COMPUTE STRING-SIZE = CHAR-NBR - 1                           87/04/22
027500     MOVE SPACES TO STRING-CONCAT                                 88/05/16
027600     PERFORM COPY-REST-TO-CONCAT                                  87/04/22
027700       VARYING COPY-NBR FROM 1 BY 1                               87/04/22
027800         UNTIL CHAR-NBR > 80                                      87/04/22
027900     .                                                            87/04/22
028000                                                                  87/04/22
028100 COPY-REST-TO-CONCAT.                                             87/04/22
028200     MOVE STRING-TEXT-CHAR   (CHAR-NBR)                           87/04/22
028300       TO STRING-CONCAT-CHAR (COPY-NBR)                           87/04/22
028400     MOVE SPACE TO STRING-TEXT-CHAR (CHAR-NBR)                    87/04/22
028500     ADD 1 TO CHAR-NBR                                            87/04/22
028600     .                                                            87/04/22
028700                                                                  87/04/22
028800 RIGHT-JUSTIFY-STRING.                                            90/02/22
028900     PERFORM TRUNCATE-STRING                                      89/11/15
029000     PERFORM GET-CUR-SIZE                                         94/09/12
029100     PERFORM RIGHT-JUSTIFY-CHARACTER                              86/03/25
029200       VARYING CHAR-NBR FROM STRING-SIZE BY -1                    86/03/25
029300         UNTIL CHAR-NBR = ZERO                                    86/03/25
029400     .                                                            86/03/25
029500                                                                  86/03/25
029600 RIGHT-JUSTIFY-CHARACTER.                                         86/03/25
029700     IF CUR-SIZE > ZERO                                           86/03/25
029800         MOVE STRING-TEXT-CHAR (CUR-SIZE)                         86/03/25
029900           TO STRING-TEXT-CHAR (CHAR-NBR)                         86/03/25
030000         SUBTRACT 1 FROM CUR-SIZE                                 86/03/25
030100     ELSE                                                         86/03/25
030200         MOVE FILL-CHAR                                           86/03/25
030300           TO STRING-TEXT-CHAR (CHAR-NBR)                         86/03/25
030400     .                                                            86/03/25
030500                                                                  86/03/25
030600 PLACE-IN-MIDDLE.                                                 87/01/22
030700     MOVE STRING-SIZE TO SAVED-SIZE                               94/08/31
030800     PERFORM LEFT-JUSTIFY-STRING                                  94/08/31
030900     MOVE SAVED-SIZE TO STRING-SIZE                               94/08/31
031000     PERFORM TRUNCATE-STRING                                      94/08/31
031100                                                                  94/08/31
031200     IF CUR-SIZE < STRING-SIZE                                    94/08/31
031300         COMPUTE COPY-NBR = (CUR-SIZE + STRING-SIZE) / 2          94/08/31
031400         COMPUTE CHAR-NBR =  CUR-SIZE                             94/08/31
031500         PERFORM COPY-CHARACTER                                   94/08/31
031600           UNTIL CHAR-NBR = ZERO                                  94/08/31
031700                                                                  94/08/31
031800         COMPUTE COPY-NBR = (STRING-SIZE - CUR-SIZE) / 2          94/08/31
031900         PERFORM FILL-CHARACTER                                   94/08/31
032000           UNTIL CHAR-NBR NOT < COPY-NBR                          94/08/31
032100                                                                  94/08/31
032200         COMPUTE CHAR-NBR = (CUR-SIZE + STRING-SIZE) / 2          94/08/31
032300         PERFORM FILL-CHARACTER                                   94/08/31
032400           UNTIL CHAR-NBR NOT < STRING-SIZE                       94/08/31
032500     .                                                            94/08/31
032600     PERFORM TRUNCATE-STRING                                      86/03/25
032700     .                                                            87/01/22
032800                                                                  87/01/22
032900 COPY-CHARACTER.                                                  94/08/31
033000     MOVE STRING-TEXT-CHAR (CHAR-NBR)                             94/08/31
033100       TO STRING-TEXT-CHAR (COPY-NBR)                             94/08/31
033200                                                                  94/08/31
033300     SUBTRACT 1 FROM COPY-NBR                                     94/08/31
033400     SUBTRACT 1 FROM CHAR-NBR                                     94/08/31
033500     .                                                            94/08/31
033600                                                                  94/08/31
033700 FILL-STRING.                                                     86/03/25
033800     MOVE SPACES TO STRING-TEXT                                   86/03/25
033900     MOVE ZERO TO CHAR-NBR                                        86/03/25
034000     PERFORM FILL-CHARACTER                                       86/03/25
034100       UNTIL CHAR-NBR NOT < STRING-SIZE                           86/03/25
034200     .                                                            86/03/25
034300                                                                  86/03/25
034400 FILL-CHARACTER.                                                  86/03/25
034500     ADD 1 TO CHAR-NBR                                            86/03/25
034600     MOVE FILL-CHAR TO STRING-TEXT-CHAR (CHAR-NBR)                86/03/25
034700     .                                                            86/03/25
034800                                                                  86/03/25
034900 BRACKET-STRING.                                                  86/03/25
035000     PERFORM GET-CUR-SIZE                                         94/09/12
035100     PERFORM BRACKET-THE-STRING                                   87/01/22
035200     MOVE CUR-SIZE TO STRING-SIZE                                 87/01/22
035300     .                                                            86/03/25
035400                                                                  86/03/25
035500 BRACKET-THE-STRING.                                              87/01/22
035600     IF CUR-SIZE < 79                                             87/01/22
035700         COMPUTE CHAR-NBR = CUR-SIZE + 1                          87/01/22
035800         PERFORM SHIFT-CHARACTER                                  86/03/25
035900           UNTIL CHAR-NBR < 2                                     86/03/25
036000                                                                  86/03/25
036100         ADD 2 TO CUR-SIZE                                        86/03/25
036200         MOVE FILL-CHAR TO STRING-TEXT-CHAR (1)                   86/03/25
036300         MOVE FILL-CHAR TO STRING-TEXT-CHAR (CUR-SIZE)            86/03/25
036400     .                                                            87/01/22
036500                                                                  87/01/22
036600 SHIFT-CHARACTER.                                                 86/03/25
036700     COMPUTE COPY-NBR = CHAR-NBR - 1                              86/03/25
036800     MOVE STRING-TEXT-CHAR (COPY-NBR)                             86/03/25
036900       TO STRING-TEXT-CHAR (CHAR-NBR)                             86/03/25
037000     MOVE COPY-NBR TO CHAR-NBR                                    86/03/25
037100     .                                                            86/03/25
037200                                                                  86/03/25
037300 DROP-CHARACTERS.                                                 86/03/25
037400     MOVE ZERO TO CHAR-NBR                                        88/07/15
037500     PERFORM DROP-CHARACTER                                       86/03/25
037600       UNTIL STRING-SIZE > 79                                     88/07/15
037700                                                                  86/03/25
037800     PERFORM INSERT-SPACES                                        86/03/25
037900       UNTIL CHAR-NBR > 79                                        86/03/25
038000                                                                  88/07/15
038100     PERFORM GET-STRING-SIZE                                      88/07/15
038200     .                                                            86/03/25
038300                                                                  86/03/25
038400 DROP-CHARACTER.                                                  86/03/25
038500     ADD 1 TO STRING-SIZE                                         88/07/15
038600     ADD 1 TO CHAR-NBR                                            88/07/15
038700     MOVE STRING-TEXT-CHAR (STRING-SIZE) TO                       86/03/25
038800          STRING-TEXT-CHAR (CHAR-NBR)                             86/03/25
038900     .                                                            86/03/25
039000                                                                  86/03/25
039100 INSERT-SPACES.                                                   86/03/25
039200     ADD 1 TO CHAR-NBR                                            88/07/15
039300     MOVE SPACE TO STRING-TEXT-CHAR (CHAR-NBR)                    86/03/25
039400     .                                                            86/03/25
039500                                                                  86/03/25
039600 EDIT-CHARACTERS.                                                 94/06/23
039700     IF STRING-SIZE = ZEROES                                      94/06/23
039800         PERFORM GET-STRING-SIZE                                  94/06/23
039900     .                                                            94/06/23
040000     PERFORM EDIT-CHARACTER                                       94/06/23
040100       VARYING CHAR-NBR FROM 1 BY 1                               94/06/23
040200         UNTIL CHAR-NBR > STRING-SIZE                             94/06/23
040300     .                                                            94/06/23
040400                                                                  94/06/23
040500 EDIT-CHARACTER.                                                  94/06/23
040600     IF STRING-TEXT-CHAR (CHAR-NBR) = FILL-CHAR                   94/06/23
040700         MOVE REPL-CHAR TO STRING-TEXT-CHAR (CHAR-NBR)            94/06/23
040800     .                                                            94/06/23
040900                                                                  94/06/23
041000 PACK-STRING.                                                     86/03/25
041100     MOVE ZERO TO CHAR-NBR                                        87/04/22
041200     PERFORM PACK-CHARACTER                                       86/03/25
041300       VARYING CUR-SIZE FROM 1 BY 1                               87/04/22
041400         UNTIL CUR-SIZE > 80                                      87/04/22
041500                                                                  87/04/22
041600     MOVE CHAR-NBR TO STRING-SIZE                                 87/04/22
041700     PERFORM INSERT-SPACES                                        87/04/22
041800       UNTIL CHAR-NBR > 79                                        87/04/22
041900                                                                  88/01/22
042000     PERFORM GET-STRING-SIZE                                      88/01/22
042100     .                                                            86/03/25
042200                                                                  86/03/25
042300 PACK-CHARACTER.                                                  86/03/25
042400     IF STRING-TEXT-CHAR (CUR-SIZE) NOT = FILL-CHAR               87/04/22
042500         ADD 1 TO CHAR-NBR                                        87/04/22
042600         MOVE STRING-TEXT-CHAR (CUR-SIZE)                         87/04/22
042700           TO STRING-TEXT-CHAR (CHAR-NBR)                         87/04/22
042800     .                                                            86/03/25
042900                                                                  86/03/25
043000 TRUNCATE-STRING.                                                 86/03/25
043100     MOVE STRING-SIZE TO CHAR-NBR                                 86/03/25
043200     PERFORM INSERT-SPACES                                        86/03/25
043300       UNTIL CHAR-NBR NOT < 80                                    90/05/15
043400     .                                                            86/03/25
043500                                                                  86/03/25
043600 INVERT-STRING.                                                   86/03/25
043700     PERFORM GET-STRING-SIZE                                      86/03/25
043800     PERFORM INVERT-CHARACTERS                                    86/03/25
043900       VARYING CHAR-NBR FROM 1 BY 1                               86/03/25
044000         UNTIL CHAR-NBR NOT < CUR-SIZE                            86/03/25
044100                                                                  88/01/22
044200     PERFORM GET-STRING-SIZE                                      88/01/22
044300     .                                                            86/03/25
044400                                                                  86/03/25
044500 INVERT-CHARACTERS.                                               86/03/25
044600     MOVE STRING-TEXT-CHAR (CHAR-NBR) TO SAVED-CHAR               86/03/25
044700                                                                  86/03/25
044800     MOVE STRING-TEXT-CHAR (CUR-SIZE)                             86/03/25
044900       TO STRING-TEXT-CHAR (CHAR-NBR)                             86/03/25
045000                                                                  86/03/25
045100     MOVE SAVED-CHAR TO STRING-TEXT-CHAR (CUR-SIZE)               86/03/25
045200     SUBTRACT 1 FROM CUR-SIZE                                     86/03/25
045300     .                                                            86/03/25
045400                                                                  86/03/25
045500 UNBRACKET-STRING.                                                86/03/25
045600     PERFORM GET-CUR-SIZE                                         94/09/12
045700     IF CUR-SIZE > 1                                              86/03/25
045800         MOVE 1 TO STRING-SIZE                                    86/03/25
045900         PERFORM DROP-CHARACTERS                                  86/03/25
046000         MOVE SPACE TO STRING-TEXT-CHAR (STRING-SIZE)             86/03/25
046100         SUBTRACT 1 FROM STRING-SIZE                              86/03/25
046200     .                                                            86/03/25
046300                                                                  89/10/13
046400 OBLITERATE-FILLERS.                                              89/10/13
046500     PERFORM REPLACE-FILLER-BY-SPACE                              89/10/13
046600       VARYING CHAR-NBR FROM 1 BY 1                               89/10/13
046700         UNTIL CHAR-NBR > 80                                      89/10/13
046800                                                                  89/10/13
046900     PERFORM GET-STRING-SIZE                                      89/10/13
047000     .                                                            89/10/13
047100                                                                  89/10/13
047200 REPLACE-FILLER-BY-SPACE.                                         89/10/13
047300     IF STRING-TEXT-CHAR (CHAR-NBR) = FILL-CHAR                   89/10/13
047400         MOVE SPACE TO STRING-TEXT-CHAR (CHAR-NBR)                89/10/13
047500     .                                                            89/10/13
047600                                                                  98/09/18
047700 EXPAND-STRING.                                                   98/09/18
047800     IF STRING-SIZE < 1 OR > 80                                   98/09/18
047900         MOVE "OP ERROR" TO STRING-FEEDBACK                       98/09/18
048000     ELSE                                                         98/09/18
048100         MOVE SPACE TO STRING-TEXT-CHAR (80)                      98/09/19
048200         PERFORM GET-CUR-SIZE                                     98/09/18
048300         COMPUTE COPY-NBR = CUR-SIZE + 1                          98/09/18
048400         PERFORM EXPAND-TEXT-TO-THE-RIGHT                         98/09/18
048500           VARYING CHAR-NBR FROM CUR-SIZE BY -1                   98/09/18
048600             UNTIL CHAR-NBR < STRING-SIZE                         98/09/18
048700                                                                  98/09/18
048800         MOVE FILL-CHAR TO STRING-TEXT-CHAR (STRING-SIZE)         98/09/18
048900         PERFORM GET-STRING-SIZE                                  98/09/18
049000     .                                                            98/09/18
049100                                                                  98/09/18
049200 EXPAND-TEXT-TO-THE-RIGHT.                                        98/09/18
049300     MOVE STRING-TEXT-CHAR (CHAR-NBR)                             98/09/18
049400       TO STRING-TEXT-CHAR (COPY-NBR)                             98/09/18
049500                                                                  98/09/18
049600     SUBTRACT 1 FROM COPY-NBR                                     98/09/18
049700     .                                                            98/09/18
