000100 IDENTIFICATION DIVISION.                                         POS00001
000200 PROGRAM-ID.    CONVPK.                                           SOBEMAP.
000300                                                                  SOBEMAP.
000400 AUTHOR.        LEIF SVALGAARD.                                   SOBEMAP.
000500 DATE-WRITTEN.  85/06/17                                          SOBEMAP.
000600      REVISED:  98/09/17.                                         98/09/17
000700                                                                  SOBEMAP.
000800 ENVIRONMENT DIVISION.                                            SOBEMAP.
000900                                                                  SOBEMAP.
001000 CONFIGURATION SECTION.                                           SOBEMAP.
001100 SOURCE-COMPUTER. IBM-PC.                                         98/09/17
001200 OBJECT-COMPUTER. IBM-PC.                                         98/09/17
001300                                                                  SOBEMAP.
001400 DATA DIVISION.                                                   SOBEMAP.
001500                                                                  SOBEMAP.
001600 WORKING-STORAGE SECTION.                                         SOBEMAP.
001700                                                                  87/01/28
001800*    ON THE PC THE CHARACTER IS IN THE UPPER BYTE.                98/09/17
001900*    IF NOT PC, FLIP THE BYTES FOR FOLLOWING REDEFINES            98/09/17
002000                                                                  88/06/13
002100 01  CHARACTER-VARIABLES.                                         SOBEMAP.
002200     02  CHAR-VALUE          PIC S9(3)  COMP VALUE +00.           SOBEMAP.
002300     02  FILLER              REDEFINES  CHAR-VALUE.               SOBEMAP.
002400         03  CHAR            PIC X.                               SOBEMAP.
002500         03  CHAR-HIGH       PIC X.                               88/05/31
002600                                                                  87/05/11
002700     02  ESC-CHAR-VALUE      PIC S9(3)  COMP VALUE +27.           87/05/11
002800     02  FILLER              REDEFINES  ESC-CHAR-VALUE.           87/05/11
002900         03  ESC-CHAR        PIC X.                               87/05/11
003000         03  FILLER          PIC X.                               98/09/17
003100                                                                  88/06/13
003200     02  TAB-CHAR-VALUE      PIC S9(3)  COMP VALUE +9.            89/10/10
003300     02  FILLER              REDEFINES  TAB-CHAR-VALUE.           87/05/11
003400         03  TAB-CHAR        PIC X.                               87/05/11
003500         03  FILLER          PIC X.                               87/05/11
003600                                                                  88/06/13
003700     02  EOT-CHAR-VALUE      PIC S9(3)  COMP VALUE +26.           87/05/20
003800     02  FILLER              REDEFINES  EOT-CHAR-VALUE.           87/05/11
003900         03  EOT-CHAR        PIC X.                               87/05/11
004000         03  FILLER          PIC X.                               87/05/11
004100                                                                  88/06/13
004200     02  EOL-CHAR-VALUE      PIC S9(3)  COMP VALUE +10.           87/05/11
004300     02  FILLER              REDEFINES  EOL-CHAR-VALUE.           89/10/05
004400         03  EOL-CHAR        PIC X.                               87/05/11
004500         03  FILLER          PIC X.                               87/05/11
004600                                                                  88/06/13
004700 01  INDICES.                                                     SOBEMAP.
004800     02  CHAR-INDEX          PIC S9(3)  COMP.                     SOBEMAP.
004900     02  THE-SIZE            PIC S9(3)  COMP.                     94/08/19
005000                                                                  SOBEMAP.
005100 01  ETK-VALUES-FOR-NATIVE-CHARS.                                 87/05/11
005200     02  ETK-VALUES.                                              87/05/11
005300         03  ASCII-NIL-000   PIC S9(3)  VALUE   +6  COMP.         89/10/06
005400         03  ASCII-SOH-001   PIC S9(3)  VALUE   +6  COMP.         89/10/06
005500         03  ASCII-STX-002   PIC S9(3)  VALUE   +6  COMP.         89/10/06
005600         03  ASCII-ETX-003   PIC S9(3)  VALUE   +6  COMP.         89/10/06
005700         03  ASCII-EOT-004   PIC S9(3)  VALUE   +6  COMP.         89/10/06
005800         03  ASCII-ENQ-005   PIC S9(3)  VALUE   +6  COMP.         89/10/06
005900         03  ASCII-ACK-006   PIC S9(3)  VALUE   +6  COMP.         89/10/06
006000         03  ASCII-BEL-007   PIC S9(3)  VALUE   +5  COMP.         SOBEMAP.
006100         03  ASCII-BS--008   PIC S9(3)  VALUE   +5  COMP.         SOBEMAP.
006200         03  ASCII-HT--009   PIC S9(3)  VALUE   +8  COMP.         SOBEMAP.
006300         03  ASCII-NL--010   PIC S9(3)  VALUE   +2  COMP.         SOBEMAP.
006400         03  ASCII-VT--011   PIC S9(3)  VALUE   +2  COMP.         SOBEMAP.
006500         03  ASCII-FF--012   PIC S9(3)  VALUE   +2  COMP.         SOBEMAP.
006600         03  ASCII-CR--013   PIC S9(3)  VALUE   +5  COMP.         89/10/10
006700         03  ASCII-SO--014   PIC S9(3)  VALUE   +6  COMP.         89/10/06
006800         03  ASCII-SI--015   PIC S9(3)  VALUE   +6  COMP.         89/10/06
006900         03  ASCII-DLE-016   PIC S9(3)  VALUE   +6  COMP.         89/10/06
007000         03  ASCII-DC1-017   PIC S9(3)  VALUE   +6  COMP.         89/10/06
007100         03  ASCII-DC2-018   PIC S9(3)  VALUE   +6  COMP.         89/10/06
007200         03  ASCII-DC3-019   PIC S9(3)  VALUE   +6  COMP.         89/10/06
007300         03  ASCII-DC4-020   PIC S9(3)  VALUE   +6  COMP.         89/10/06
007400         03  ASCII-NAK-021   PIC S9(3)  VALUE   +6  COMP.         89/10/06
007500         03  ASCII-SYN-022   PIC S9(3)  VALUE   +6  COMP.         89/10/06
007600         03  ASCII-ETB-023   PIC S9(3)  VALUE   +6  COMP.         89/10/06
007700         03  ASCII-CAN-024   PIC S9(3)  VALUE   +5  COMP.         SOBEMAP.
007800         03  ASCII-EM--025   PIC S9(3)  VALUE   +1  COMP.         SOBEMAP.
007900         03  ASCII-SUB-026   PIC S9(3)  VALUE   +1  COMP.         SOBEMAP.
008000         03  ASCII-ESC-027   PIC S9(3)  VALUE   +4  COMP.         SOBEMAP.
008100         03  ASCII-FS--028   PIC S9(3)  VALUE   +5  COMP.         SOBEMAP.
008200         03  ASCII-GS--029   PIC S9(3)  VALUE   +5  COMP.         SOBEMAP.
008300         03  ASCII-RS--030   PIC S9(3)  VALUE   +5  COMP.         SOBEMAP.
008400         03  ASCII-US--031   PIC S9(3)  VALUE   +5  COMP.         SOBEMAP.
008500         03  ASCII-SP--032   PIC S9(3)  VALUE   +9  COMP.         SOBEMAP.
008600         03  ASCII-EXC-033   PIC S9(3)  VALUE  +84  COMP.         SOBEMAP.
008700         03  ASCII-QUO-034   PIC S9(3)  VALUE  +86  COMP.         SOBEMAP.
008800         03  ASCII-NBR-035   PIC S9(3)  VALUE  +92  COMP.         SOBEMAP.
008900         03  ASCII-CUR-036   PIC S9(3)  VALUE  +91  COMP.         SOBEMAP.
009000         03  ASCII-PCT-037   PIC S9(3)  VALUE  +93  COMP.         SOBEMAP.
009100         03  ASCII-AND-038   PIC S9(3)  VALUE  +94  COMP.         SOBEMAP.
009200         03  ASCII-APS-039   PIC S9(3)  VALUE  +87  COMP.         SOBEMAP.
009300         03  ASCII-LPA-040   PIC S9(3)  VALUE +100  COMP.         SOBEMAP.
009400         03  ASCII-RPA-041   PIC S9(3)  VALUE +101  COMP.         SOBEMAP.
009500         03  ASCII-AST-042   PIC S9(3)  VALUE  +98  COMP.         SOBEMAP.
009600         03  ASCII-PLS-043   PIC S9(3)  VALUE  +95  COMP.         SOBEMAP.
009700         03  ASCII-COM-044   PIC S9(3)  VALUE  +80  COMP.         SOBEMAP.
009800         03  ASCII-MIN-045   PIC S9(3)  VALUE  +96  COMP.         SOBEMAP.
009900         03  ASCII-DOT-046   PIC S9(3)  VALUE  +81  COMP.         SOBEMAP.
010000         03  ASCII-DIV-047   PIC S9(3)  VALUE  +97  COMP.         SOBEMAP.
010100         03  ASCII--0--048   PIC S9(3)  VALUE  +10  COMP.         SOBEMAP.
010200         03  ASCII--1--049   PIC S9(3)  VALUE  +11  COMP.         SOBEMAP.
010300         03  ASCII--2--050   PIC S9(3)  VALUE  +12  COMP.         SOBEMAP.
010400         03  ASCII--3--051   PIC S9(3)  VALUE  +13  COMP.         SOBEMAP.
010500         03  ASCII--4--052   PIC S9(3)  VALUE  +14  COMP.         SOBEMAP.
010600         03  ASCII--5--053   PIC S9(3)  VALUE  +15  COMP.         SOBEMAP.
010700         03  ASCII--6--054   PIC S9(3)  VALUE  +16  COMP.         SOBEMAP.
010800         03  ASCII--7--055   PIC S9(3)  VALUE  +17  COMP.         SOBEMAP.
010900         03  ASCII--8--056   PIC S9(3)  VALUE  +18  COMP.         SOBEMAP.
011000         03  ASCII--9--057   PIC S9(3)  VALUE  +19  COMP.         SOBEMAP.
011100         03  ASCII-COL-058   PIC S9(3)  VALUE  +82  COMP.         SOBEMAP.
011200         03  ASCII-SEM-059   PIC S9(3)  VALUE  +83  COMP.         SOBEMAP.
011300         03  ASCII-LSS-060   PIC S9(3)  VALUE +107  COMP.         SOBEMAP.
011400         03  ASCII-EQS-061   PIC S9(3)  VALUE +108  COMP.         SOBEMAP.
011500         03  ASCII-GRT-062   PIC S9(3)  VALUE +109  COMP.         SOBEMAP.
011600         03  ASCII-QUE-063   PIC S9(3)  VALUE  +85  COMP.         SOBEMAP.
011700         03  ASCII-CAT-064   PIC S9(3)  VALUE  +20  COMP.         SOBEMAP.
011800         03  ASCII-UCA-065   PIC S9(3)  VALUE  +21  COMP.         SOBEMAP.
011900         03  ASCII-UCB-066   PIC S9(3)  VALUE  +22  COMP.         SOBEMAP.
012000         03  ASCII-UCC-067   PIC S9(3)  VALUE  +23  COMP.         SOBEMAP.
012100         03  ASCII-UCD-068   PIC S9(3)  VALUE  +24  COMP.         SOBEMAP.
012200         03  ASCII-UCE-069   PIC S9(3)  VALUE  +25  COMP.         SOBEMAP.
012300         03  ASCII-UCF-070   PIC S9(3)  VALUE  +26  COMP.         SOBEMAP.
012400         03  ASCII-UCG-071   PIC S9(3)  VALUE  +27  COMP.         SOBEMAP.
012500         03  ASCII-UCH-072   PIC S9(3)  VALUE  +28  COMP.         SOBEMAP.
012600         03  ASCII-UCI-073   PIC S9(3)  VALUE  +29  COMP.         SOBEMAP.
012700         03  ASCII-UCJ-074   PIC S9(3)  VALUE  +30  COMP.         SOBEMAP.
012800         03  ASCII-UCK-075   PIC S9(3)  VALUE  +31  COMP.         SOBEMAP.
012900         03  ASCII-UCL-076   PIC S9(3)  VALUE  +32  COMP.         SOBEMAP.
013000         03  ASCII-UCM-077   PIC S9(3)  VALUE  +33  COMP.         SOBEMAP.
013100         03  ASCII-UCN-078   PIC S9(3)  VALUE  +34  COMP.         SOBEMAP.
013200         03  ASCII-UCO-079   PIC S9(3)  VALUE  +35  COMP.         SOBEMAP.
013300         03  ASCII-UCP-080   PIC S9(3)  VALUE  +36  COMP.         SOBEMAP.
013400         03  ASCII-UCQ-081   PIC S9(3)  VALUE  +37  COMP.         SOBEMAP.
013500         03  ASCII-UCR-082   PIC S9(3)  VALUE  +38  COMP.         SOBEMAP.
013600         03  ASCII-UCS-083   PIC S9(3)  VALUE  +39  COMP.         SOBEMAP.
013700         03  ASCII-UCT-084   PIC S9(3)  VALUE  +40  COMP.         SOBEMAP.
013800         03  ASCII-UCU-085   PIC S9(3)  VALUE  +41  COMP.         SOBEMAP.
013900         03  ASCII-UCV-086   PIC S9(3)  VALUE  +42  COMP.         SOBEMAP.
014000         03  ASCII-UCW-087   PIC S9(3)  VALUE  +43  COMP.         SOBEMAP.
014100         03  ASCII-UCX-088   PIC S9(3)  VALUE  +44  COMP.         SOBEMAP.
014200         03  ASCII-UCY-089   PIC S9(3)  VALUE  +45  COMP.         SOBEMAP.
014300         03  ASCII-UCZ-090   PIC S9(3)  VALUE  +46  COMP.         SOBEMAP.
014400         03  ASCII-LBK-091   PIC S9(3)  VALUE +102  COMP.         SOBEMAP.
014500         03  ASCII-BSL-092   PIC S9(3)  VALUE  +99  COMP.         SOBEMAP.
014600         03  ASCII-RBK-093   PIC S9(3)  VALUE +103  COMP.         SOBEMAP.
014700         03  ASCII-UPA-094   PIC S9(3)  VALUE  +90  COMP.         SOBEMAP.
014800         03  ASCII-UND-095   PIC S9(3)  VALUE  +50  COMP.         SOBEMAP.
014900         03  ASCII-GRA-096   PIC S9(3)  VALUE  +88  COMP.         SOBEMAP.
015000         03  ASCII-LCA-097   PIC S9(3)  VALUE  +51  COMP.         SOBEMAP.
015100         03  ASCII-LCB-098   PIC S9(3)  VALUE  +52  COMP.         SOBEMAP.
015200         03  ASCII-LCC-099   PIC S9(3)  VALUE  +53  COMP.         SOBEMAP.
015300         03  ASCII-LCD-100   PIC S9(3)  VALUE  +54  COMP.         SOBEMAP.
015400         03  ASCII-LCE-101   PIC S9(3)  VALUE  +55  COMP.         SOBEMAP.
015500         03  ASCII-LCF-102   PIC S9(3)  VALUE  +56  COMP.         SOBEMAP.
015600         03  ASCII-LCG-103   PIC S9(3)  VALUE  +57  COMP.         SOBEMAP.
015700         03  ASCII-LCH-104   PIC S9(3)  VALUE  +58  COMP.         SOBEMAP.
015800         03  ASCII-LCI-105   PIC S9(3)  VALUE  +59  COMP.         SOBEMAP.
015900         03  ASCII-LCJ-106   PIC S9(3)  VALUE  +60  COMP.         SOBEMAP.
016000         03  ASCII-LCK-107   PIC S9(3)  VALUE  +61  COMP.         SOBEMAP.
016100         03  ASCII-LCL-108   PIC S9(3)  VALUE  +62  COMP.         SOBEMAP.
016200         03  ASCII-LCM-109   PIC S9(3)  VALUE  +63  COMP.         SOBEMAP.
016300         03  ASCII-LCN-110   PIC S9(3)  VALUE  +64  COMP.         SOBEMAP.
016400         03  ASCII-LCO-111   PIC S9(3)  VALUE  +65  COMP.         SOBEMAP.
016500         03  ASCII-LCP-112   PIC S9(3)  VALUE  +66  COMP.         SOBEMAP.
016600         03  ASCII-LCQ-113   PIC S9(3)  VALUE  +67  COMP.         SOBEMAP.
016700         03  ASCII-LCR-114   PIC S9(3)  VALUE  +68  COMP.         SOBEMAP.
016800         03  ASCII-LCS-115   PIC S9(3)  VALUE  +69  COMP.         SOBEMAP.
016900         03  ASCII-LCT-116   PIC S9(3)  VALUE  +70  COMP.         SOBEMAP.
017000         03  ASCII-LCU-117   PIC S9(3)  VALUE  +71  COMP.         SOBEMAP.
017100         03  ASCII-LCV-118   PIC S9(3)  VALUE  +72  COMP.         SOBEMAP.
017200         03  ASCII-LCW-119   PIC S9(3)  VALUE  +73  COMP.         SOBEMAP.
017300         03  ASCII-LCX-120   PIC S9(3)  VALUE  +74  COMP.         SOBEMAP.
017400         03  ASCII-LCY-121   PIC S9(3)  VALUE  +75  COMP.         SOBEMAP.
017500         03  ASCII-LCZ-122   PIC S9(3)  VALUE  +76  COMP.         SOBEMAP.
017600         03  ASCII-LBR-123   PIC S9(3)  VALUE +104  COMP.         SOBEMAP.
017700         03  ASCII-VER-124   PIC S9(3)  VALUE +106  COMP.         SOBEMAP.
017800         03  ASCII-RBR-125   PIC S9(3)  VALUE +105  COMP.         SOBEMAP.
017900         03  ASCII-TIL-126   PIC S9(3)  VALUE  +89  COMP.         SOBEMAP.
018000         03  ASCII-DEL-127   PIC S9(3)  VALUE   +5  COMP.         SOBEMAP.
018100         03  ASCII-UCD-128   PIC S9(3)  VALUE  +23  COMP.         88/09/26
018200         03  ASCII-LUU-129   PIC S9(3)  VALUE +128  COMP.         89/10/05
018300         03  ASCII-LEE-130   PIC S9(3)  VALUE +118  COMP.         89/10/05
018400         03  ASCII-LAC-131   PIC S9(3)  VALUE +115  COMP.         89/10/05
018500         03  ASCII-LAU-132   PIC S9(3)  VALUE +116  COMP.         89/10/05
018600         03  ASCII-LAG-133   PIC S9(3)  VALUE +114  COMP.         89/10/05
018700         03  ASCII-LAA-134   PIC S9(3)  VALUE  +79  COMP.         89/10/05
018800         03  ASCII-LCD-135   PIC S9(3)  VALUE +117  COMP.         89/10/05
018900         03  ASCII-LEC-136   PIC S9(3)  VALUE +120  COMP.         89/10/05
019000         03  ASCII-LET-137   PIC S9(3)  VALUE +121  COMP.         89/10/05
019100         03  ASCII-LEG-138   PIC S9(3)  VALUE +119  COMP.         89/10/05
019200         03  ASCII-LIT-139   PIC S9(3)  VALUE  +59  COMP.         88/09/26
019300         03  ASCII-LIC-140   PIC S9(3)  VALUE +122  COMP.         89/10/10
019400         03  ASCII-LIG-141   PIC S9(3)  VALUE  +59  COMP.         88/09/26
019500         03  ASCII-UAU-142   PIC S9(3)  VALUE +110  COMP.         89/10/05
019600         03  ASCII-UAA-143   PIC S9(3)  VALUE  +49  COMP.         89/10/05
019700         03  ASCII-UEG-144   PIC S9(3)  VALUE  +25  COMP.         88/09/26
019800         03  ASCII-LAE-145   PIC S9(3)  VALUE  +77  COMP.         88/09/26
019900         03  ASCII-UAE-146   PIC S9(3)  VALUE  +47  COMP.         88/09/26
020000         03  ASCII-LOC-147   PIC S9(3)  VALUE +124  COMP.         89/10/05
020100         03  ASCII-LOU-148   PIC S9(3)  VALUE +125  COMP.         89/10/05
020200         03  ASCII-LOG-149   PIC S9(3)  VALUE  +65  COMP.         88/09/26
020300         03  ASCII-LUC-150   PIC S9(3)  VALUE +127  COMP.         89/10/05
020400         03  ASCII-LUG-151   PIC S9(3)  VALUE  +71  COMP.         88/09/26
020500         03  ASCII-LIJ-152   PIC S9(3)  VALUE  +75  COMP.         88/09/26
020600         03  ASCII-UOU-153   PIC S9(3)  VALUE +111  COMP.         89/10/05
020700         03  ASCII-UUU-154   PIC S9(3)  VALUE +112  COMP.         89/10/05
020800         03  ASCII-LOE-155   PIC S9(3)  VALUE  +78  COMP.         89/10/23
020900         03  ASCII-156       PIC S9(3)  VALUE   +5  COMP.         87/05/11
021000         03  ASCII-UOE-157   PIC S9(3)  VALUE  +48  COMP.         89/10/23
021100         03  ASCII-158       PIC S9(3)  VALUE   +5  COMP.         87/05/11
021200         03  ASCII-159       PIC S9(3)  VALUE   +5  COMP.         87/05/11
021300         03  ASCII-LAE-160   PIC S9(3)  VALUE +113  COMP.         89/10/05
021400         03  ASCII-LIE-161   PIC S9(3)  VALUE  +59  COMP.         88/09/26
021500         03  ASCII-LOE-162   PIC S9(3)  VALUE  +65  COMP.         88/09/26
021600         03  ASCII-LUE-163   PIC S9(3)  VALUE  +71  COMP.         88/09/26
021700         03  ASCII-LNT-164   PIC S9(3)  VALUE +123  COMP.         89/10/05
021800         03  ASCII-UNT-165   PIC S9(3)  VALUE  +64  COMP.         88/09/26
021900         03  ASCII-LAM-166   PIC S9(3)  VALUE  +51  COMP.         88/09/26
022000         03  ASCII-LOM-167   PIC S9(3)  VALUE  +65  COMP.         88/09/26
022100         03  ASCII-IQM-168   PIC S9(3)  VALUE  +85  COMP.         88/09/26
022200         03  ASCII-169       PIC S9(3)  VALUE   +5  COMP.         87/05/11
022300         03  ASCII-170       PIC S9(3)  VALUE   +5  COMP.         87/05/11
022400         03  ASCII-171       PIC S9(3)  VALUE   +5  COMP.         87/05/11
022500         03  ASCII-172       PIC S9(3)  VALUE   +5  COMP.         87/05/11
022600         03  ASCII-IEM-173   PIC S9(3)  VALUE  +84  COMP.         88/09/26
022700         03  ASCII-DLT-174   PIC S9(3)  VALUE +107  COMP.         88/09/26
022800         03  ASCII-DGT-175   PIC S9(3)  VALUE +109  COMP.         88/09/26
022900         03  ASCII-176       PIC S9(3)  VALUE   +5  COMP.         87/05/11
023000         03  ASCII-177       PIC S9(3)  VALUE   +5  COMP.         87/05/11
023100         03  ASCII-178       PIC S9(3)  VALUE   +5  COMP.         87/05/11
023200         03  ASCII-179       PIC S9(3)  VALUE   +5  COMP.         87/05/11
023300         03  ASCII-180       PIC S9(3)  VALUE   +5  COMP.         87/05/11
023400         03  ASCII-181       PIC S9(3)  VALUE   +5  COMP.         87/05/11
023500         03  ASCII-182       PIC S9(3)  VALUE   +5  COMP.         87/05/11
023600         03  ASCII-183       PIC S9(3)  VALUE   +5  COMP.         87/05/11
023700         03  ASCII-184       PIC S9(3)  VALUE   +5  COMP.         87/05/11
023800         03  ASCII-185       PIC S9(3)  VALUE   +5  COMP.         87/05/11
023900         03  ASCII-186       PIC S9(3)  VALUE   +5  COMP.         87/05/11
024000         03  ASCII-187       PIC S9(3)  VALUE   +5  COMP.         87/05/11
024100         03  ASCII-188       PIC S9(3)  VALUE   +5  COMP.         87/05/11
024200         03  ASCII-189       PIC S9(3)  VALUE   +5  COMP.         87/05/11
024300         03  ASCII-190       PIC S9(3)  VALUE   +5  COMP.         87/05/11
024400         03  ASCII-191       PIC S9(3)  VALUE   +5  COMP.         87/05/11
024500         03  ASCII-192       PIC S9(3)  VALUE   +5  COMP.         87/05/11
024600         03  ASCII-193       PIC S9(3)  VALUE   +5  COMP.         87/05/11
024700         03  ASCII-194       PIC S9(3)  VALUE   +5  COMP.         87/05/11
024800         03  ASCII-195       PIC S9(3)  VALUE   +5  COMP.         87/05/11
024900         03  ASCII-196       PIC S9(3)  VALUE   +5  COMP.         87/05/11
025000         03  ASCII-197       PIC S9(3)  VALUE   +5  COMP.         87/05/11
025100         03  ASCII-198       PIC S9(3)  VALUE   +5  COMP.         87/05/11
025200         03  ASCII-199       PIC S9(3)  VALUE   +5  COMP.         87/05/11
025300         03  ASCII-200       PIC S9(3)  VALUE   +5  COMP.         87/05/11
025400         03  ASCII-201       PIC S9(3)  VALUE   +5  COMP.         87/05/11
025500         03  ASCII-202       PIC S9(3)  VALUE   +5  COMP.         87/05/11
025600         03  ASCII-203       PIC S9(3)  VALUE   +5  COMP.         87/05/11
025700         03  ASCII-204       PIC S9(3)  VALUE   +5  COMP.         87/05/11
025800         03  ASCII-205       PIC S9(3)  VALUE   +5  COMP.         87/05/11
025900         03  ASCII-206       PIC S9(3)  VALUE   +5  COMP.         87/05/11
026000         03  ASCII-207       PIC S9(3)  VALUE   +5  COMP.         87/05/11
026100         03  ASCII-208       PIC S9(3)  VALUE   +5  COMP.         87/05/11
026200         03  ASCII-209       PIC S9(3)  VALUE   +5  COMP.         87/05/11
026300         03  ASCII-210       PIC S9(3)  VALUE   +5  COMP.         87/05/11
026400         03  ASCII-211       PIC S9(3)  VALUE   +5  COMP.         87/05/11
026500         03  ASCII-212       PIC S9(3)  VALUE   +5  COMP.         87/05/11
026600         03  ASCII-213       PIC S9(3)  VALUE   +5  COMP.         87/05/11
026700         03  ASCII-214       PIC S9(3)  VALUE   +5  COMP.         87/05/11
026800         03  ASCII-215       PIC S9(3)  VALUE   +5  COMP.         87/05/11
026900         03  ASCII-216       PIC S9(3)  VALUE   +5  COMP.         87/05/11
027000         03  ASCII-217       PIC S9(3)  VALUE   +5  COMP.         87/05/11
027100         03  ASCII-218       PIC S9(3)  VALUE   +5  COMP.         87/05/11
027200         03  ASCII-219       PIC S9(3)  VALUE   +5  COMP.         87/05/11
027300         03  ASCII-220       PIC S9(3)  VALUE   +5  COMP.         87/05/11
027400         03  ASCII-221       PIC S9(3)  VALUE   +5  COMP.         87/05/11
027500         03  ASCII-222       PIC S9(3)  VALUE   +5  COMP.         87/05/11
027600         03  ASCII-223       PIC S9(3)  VALUE   +5  COMP.         87/05/11
027700         03  ASCII-224       PIC S9(3)  VALUE   +5  COMP.         87/05/11
027800         03  ASCII-LSS-225   PIC S9(3)  VALUE +126  COMP.         89/10/05
027900         03  ASCII-226       PIC S9(3)  VALUE   +5  COMP.         87/05/11
028000         03  ASCII-227       PIC S9(3)  VALUE   +5  COMP.         87/05/11
028100         03  ASCII-228       PIC S9(3)  VALUE   +5  COMP.         87/05/11
028200         03  ASCII-229       PIC S9(3)  VALUE   +5  COMP.         87/05/11
028300         03  ASCII-230       PIC S9(3)  VALUE   +5  COMP.         87/05/11
028400         03  ASCII-231       PIC S9(3)  VALUE   +5  COMP.         87/05/11
028500         03  ASCII-232       PIC S9(3)  VALUE   +5  COMP.         87/05/11
028600         03  ASCII-UOE-233   PIC S9(3)  VALUE  +48  COMP.         89/10/10
028700         03  ASCII-234       PIC S9(3)  VALUE   +5  COMP.         87/05/11
028800         03  ASCII-235       PIC S9(3)  VALUE   +5  COMP.         87/05/11
028900         03  ASCII-236       PIC S9(3)  VALUE   +5  COMP.         87/05/11
029000         03  ASCII-LOE-237   PIC S9(3)  VALUE  +78  COMP.         89/10/10
029100         03  ASCII-238       PIC S9(3)  VALUE   +5  COMP.         87/05/11
029200         03  ASCII-239       PIC S9(3)  VALUE   +5  COMP.         87/05/11
029300         03  ASCII-240       PIC S9(3)  VALUE   +5  COMP.         87/05/11
029400         03  ASCII-241       PIC S9(3)  VALUE   +5  COMP.         87/05/11
029500         03  ASCII-242       PIC S9(3)  VALUE   +5  COMP.         87/05/11
029600         03  ASCII-243       PIC S9(3)  VALUE   +5  COMP.         87/05/11
029700         03  ASCII-244       PIC S9(3)  VALUE   +5  COMP.         87/05/11
029800         03  ASCII-245       PIC S9(3)  VALUE   +5  COMP.         87/05/11
029900         03  ASCII-246       PIC S9(3)  VALUE   +5  COMP.         87/05/11
030000         03  ASCII-247       PIC S9(3)  VALUE   +5  COMP.         87/05/11
030100         03  ASCII-248       PIC S9(3)  VALUE   +5  COMP.         87/05/11
030200         03  ASCII-249       PIC S9(3)  VALUE   +5  COMP.         87/05/11
030300         03  ASCII-250       PIC S9(3)  VALUE   +5  COMP.         87/05/11
030400         03  ASCII-251       PIC S9(3)  VALUE   +5  COMP.         87/05/11
030500         03  ASCII-252       PIC S9(3)  VALUE   +5  COMP.         87/05/11
030600         03  ASCII-253       PIC S9(3)  VALUE   +5  COMP.         87/05/11
030700         03  ASCII-254       PIC S9(3)  VALUE   +5  COMP.         87/05/11
030800         03  ASCII-255       PIC S9(3)  VALUE   +5  COMP.         87/05/11
030900                                                                  87/05/11
031000     02  ETK-CHAR-VALUE      REDEFINES  ETK-VALUES                87/05/11
031100                             PIC S9(3)  COMP  OCCURS 256 TIMES.   87/05/11
031200                                                                  87/05/11
031300 01  NATIVE-CHARS-FOR-ETK-VALUES.                                 87/05/11
031400     02  NATIVE-CHARS.                                            87/05/11
031500         03  N-EOT-1         PIC X.                               87/05/11
031600         03  N-EOL-2         PIC X.                               87/05/11
031700         03  N-ILL-3         PIC X VALUE SPACE.                   87/05/11
031800         03  N-ESC-4         PIC X.                               87/05/11
031900         03  N-NPT-5         PIC X VALUE SPACE.                   87/05/11
032000         03  N-CTL-6         PIC X VALUE SPACE.                   89/10/06
032100         03  N-----7         PIC X VALUE SPACE.                   87/05/11
032200         03  N-TAB-8         PIC X.                               87/05/11
032300         03  N-SPC-9         PIC X VALUE  " ".                    87/05/11
032400         03  N-DG0-10        PIC X VALUE  "0".                    87/05/11
032500         03  N-DG1-11        PIC X VALUE  "1".                    87/05/11
032600         03  N-DG2-12        PIC X VALUE  "2".                    87/05/11
032700         03  N-DG3-13        PIC X VALUE  "3".                    87/05/11
032800         03  N-DG4-14        PIC X VALUE  "4".                    87/05/11
032900         03  N-DG5-15        PIC X VALUE  "5".                    87/05/11
033000         03  N-DG6-16        PIC X VALUE  "6".                    87/05/11
033100         03  N-DG7-17        PIC X VALUE  "7".                    87/05/11
033200         03  N-DG8-18        PIC X VALUE  "8".                    87/05/11
033300         03  N-DG9-19        PIC X VALUE  "9".                    87/05/11
033400         03  N-CAT-20        PIC X VALUE  "@".                    87/05/11
033500         03  N-UCA-21        PIC X VALUE  "A".                    87/05/11
033600         03  N-UCB-22        PIC X VALUE  "B".                    87/05/11
033700         03  N-UCC-23        PIC X VALUE  "C".                    87/05/11
033800         03  N-UCD-24        PIC X VALUE  "D".                    87/05/11
033900         03  N-UCE-25        PIC X VALUE  "E".                    87/05/11
034000         03  N-UCF-26        PIC X VALUE  "F".                    87/05/11
034100         03  N-UCG-27        PIC X VALUE  "G".                    87/05/11
034200         03  N-UCH-28        PIC X VALUE  "H".                    87/05/11
034300         03  N-UCI-29        PIC X VALUE  "I".                    87/05/11
034400         03  N-UCJ-30        PIC X VALUE  "J".                    87/05/11
034500         03  N-UCK-31        PIC X VALUE  "K".                    87/05/11
034600         03  N-UCL-32        PIC X VALUE  "L".                    87/05/11
034700         03  N-UCM-33        PIC X VALUE  "M".                    87/05/11
034800         03  N-UCN-34        PIC X VALUE  "N".                    87/05/11
034900         03  N-UCO-35        PIC X VALUE  "O".                    87/05/11
035000         03  N-UCP-36        PIC X VALUE  "P".                    87/05/11
035100         03  N-UCQ-37        PIC X VALUE  "Q".                    87/05/11
035200         03  N-UCR-38        PIC X VALUE  "R".                    87/05/11
035300         03  N-UCS-39        PIC X VALUE  "S".                    87/05/11
035400         03  N-UCT-40        PIC X VALUE  "T".                    87/05/11
035500         03  N-UCU-41        PIC X VALUE  "U".                    87/05/11
035600         03  N-UCV-42        PIC X VALUE  "V".                    87/05/11
035700         03  N-UCW-43        PIC X VALUE  "W".                    87/05/11
035800         03  N-UCX-44        PIC X VALUE  "X".                    87/05/11
035900         03  N-UCY-45        PIC X VALUE  "Y".                    87/05/11
036000         03  N-UCZ-46        PIC X VALUE  "Z".                    87/05/11
036100         03  N-UAE-47        PIC X VALUE  "".                    87/05/11
036200         03  N-UOE-48        PIC X VALUE  "".                    89/10/10
036300         03  N-UAA-49        PIC X VALUE  "".                    87/05/11
036400         03  N-UND-50        PIC X VALUE  "_".                    87/05/11
036500         03  N-LCA-51        PIC X VALUE  "a".                    87/05/11
036600         03  N-LCB-52        PIC X VALUE  "b".                    87/05/11
036700         03  N-LCC-53        PIC X VALUE  "c".                    87/05/11
036800         03  N-LCD-54        PIC X VALUE  "d".                    87/05/11
036900         03  N-LCE-55        PIC X VALUE  "e".                    87/05/11
037000         03  N-LCF-56        PIC X VALUE  "f".                    87/05/11
037100         03  N-LCG-57        PIC X VALUE  "g".                    87/05/11
037200         03  N-LCH-58        PIC X VALUE  "h".                    87/05/11
037300         03  N-LCI-59        PIC X VALUE  "i".                    87/05/11
037400         03  N-LCJ-60        PIC X VALUE  "j".                    87/05/11
037500         03  N-LCK-61        PIC X VALUE  "k".                    87/05/11
037600         03  N-LCL-62        PIC X VALUE  "l".                    87/05/11
037700         03  N-LCM-63        PIC X VALUE  "m".                    87/05/11
037800         03  N-LCN-64        PIC X VALUE  "n".                    87/05/11
037900         03  N-LCO-65        PIC X VALUE  "o".                    87/05/11
038000         03  N-LCP-66        PIC X VALUE  "p".                    87/05/11
038100         03  N-LCQ-67        PIC X VALUE  "q".                    87/05/11
038200         03  N-LCR-68        PIC X VALUE  "r".                    87/05/11
038300         03  N-LCS-69        PIC X VALUE  "s".                    87/05/11
038400         03  N-LCT-70        PIC X VALUE  "t".                    87/05/11
038500         03  N-LCU-71        PIC X VALUE  "u".                    87/05/11
038600         03  N-LCV-72        PIC X VALUE  "v".                    87/05/11
038700         03  N-LCW-73        PIC X VALUE  "w".                    87/05/11
038800         03  N-LCX-74        PIC X VALUE  "x".                    87/05/11
038900         03  N-LCY-75        PIC X VALUE  "y".                    87/05/11
039000         03  N-LCZ-76        PIC X VALUE  "z".                    87/05/11
039100         03  N-LAE-77        PIC X VALUE  "".                    87/05/11
039200         03  N-LOE-78        PIC X VALUE  "".                    89/10/06
039300         03  N-LAA-79        PIC X VALUE  "".                    87/05/11
039400         03  N-COM-80        PIC X VALUE  ",".                    87/05/11
039500         03  N-DOT-81        PIC X VALUE  ".".                    87/05/11
039600         03  N-COL-82        PIC X VALUE  ":".                    87/05/11
039700         03  N-SEM-83        PIC X VALUE  ";".                    87/05/11
039800         03  N-EXC-84        PIC X VALUE  "!".                    87/05/11
039900         03  N-QUE-85        PIC X VALUE  "?".                    87/05/11
040000         03  N-QUO-86        PIC X VALUE  """".                   87/05/11
040100         03  N-APS-87        PIC X VALUE  "'".                    87/05/11
040200         03  N-GRA-88        PIC X VALUE  "`".                    87/05/11
040300         03  N-TIL-89        PIC X VALUE  "~".                    87/05/11
040400         03  N-UPA-90        PIC X VALUE  "^".                    87/05/11
040500         03  N-CUR-91        PIC X VALUE  "$".                    87/05/11
040600         03  N-NBR-92        PIC X VALUE  "#".                    87/05/11
040700         03  N-PCT-93        PIC X VALUE  "%".                    87/05/11
040800         03  N-AND-94        PIC X VALUE  "&".                    87/05/11
040900         03  N-PLS-95        PIC X VALUE  "+".                    87/05/11
041000         03  N-MIN-96        PIC X VALUE  "-".                    87/05/11
041100         03  N-DIV-97        PIC X VALUE  "/".                    87/05/11
041200         03  N-AST-98        PIC X VALUE  "*".                    87/05/11
041300         03  N-BSL-99        PIC X VALUE  "\".                    87/05/11
041400         03  N-LPA-100       PIC X VALUE  "(".                    87/05/11
041500         03  N-RPA-101       PIC X VALUE  ")".                    87/05/11
041600         03  N-LBK-102       PIC X VALUE  "[".                    87/05/11
041700         03  N-RBK-103       PIC X VALUE  "]".                    87/05/11
041800         03  N-LBR-104       PIC X VALUE  "{".                    87/05/11
041900         03  N-RBR-105       PIC X VALUE  "}".                    87/05/11
042000         03  N-VER-106       PIC X VALUE  "|".                    87/05/11
042100         03  N-LSS-107       PIC X VALUE  "<".                    87/05/11
042200         03  N-EQS-108       PIC X VALUE  "=".                    87/05/11
042300         03  N-GRT-109       PIC X VALUE  ">".                    87/05/11
042400         03  N-UAU-110       PIC X VALUE  "".                    89/10/05
042500         03  N-UOU-111       PIC X VALUE  "".                    89/10/05
042600         03  N-UUU-112       PIC X VALUE  "".                    89/10/05
042700         03  N-LAE-113       PIC X VALUE  "".                    89/10/05
042800         03  N-LAG-114       PIC X VALUE  "".                    89/10/05
042900         03  N-LAC-115       PIC X VALUE  "".                    89/10/05
043000         03  N-LAU-116       PIC X VALUE  "".                    89/10/10
043100         03  N-LCD-117       PIC X VALUE  "".                    89/10/05
043200         03  N-LEE-118       PIC X VALUE  "".                    89/10/05
043300         03  N-LEG-119       PIC X VALUE  "".                    89/10/05
043400         03  N-LEC-120       PIC X VALUE  "".                    89/10/05
043500         03  N-LET-121       PIC X VALUE  "".                    89/10/05
043600         03  N-LIC-122       PIC X VALUE  "".                    89/10/05
043700         03  N-LNT-123       PIC X VALUE  "".                    89/10/05
043800         03  N-LOC-124       PIC X VALUE  "".                    89/10/05
043900         03  N-LOU-125       PIC X VALUE  "".                    89/10/10
044000         03  N-LSS-126       PIC X VALUE  "".                    89/10/05
044100         03  N-LUC-127       PIC X VALUE  "".                    89/10/05
044200         03  N-LUU-128       PIC X VALUE  "".                    89/10/10
044300                                                                  87/05/11
044400     02  NATIVE-CHAR         REDEFINES  NATIVE-CHARS              87/05/11
044500                             PIC X      OCCURS 128 TIMES.         89/10/05
044600                                                                  87/05/11
044700 01  RANKED-CHARS-FOR-ETK-VALUES.                                 89/10/06
044800     02  RANKED-CHARS.                                            89/10/06
044900         03  R-EOT-1         PIC X VALUE SPACE.                   89/10/06
045000         03  R-EOL-2         PIC X VALUE SPACE.                   89/10/06
045100         03  R-ILL-3         PIC X VALUE  ".".                    89/10/06
045200         03  R-ESC-4         PIC X VALUE SPACE.                   89/10/06
045300         03  R-NPT-5         PIC X VALUE  ".".                    89/10/06
045400         03  R-CTL-6         PIC X VALUE SPACE.                   89/10/06
045500         03  R-----7         PIC X VALUE SPACE.                   89/10/06
045600         03  R-TAB-8         PIC X VALUE SPACE.                   89/10/06
045700         03  R-SPC-9         PIC X VALUE  " ".                    89/10/06
045800         03  R-DG0-10        PIC X VALUE  "q".                    89/10/10
045900         03  R-DG1-11        PIC X VALUE  "r".                    89/10/10
046000         03  R-DG2-12        PIC X VALUE  "s".                    89/10/10
046100         03  R-DG3-13        PIC X VALUE  "t".                    89/10/10
046200         03  R-DG4-14        PIC X VALUE  "u".                    89/10/10
046300         03  R-DG5-15        PIC X VALUE  "v".                    89/10/10
046400         03  R-DG6-16        PIC X VALUE  "w".                    89/10/10
046500         03  R-DG7-17        PIC X VALUE  "x".                    89/10/10
046600         03  R-DG8-18        PIC X VALUE  "y".                    89/10/06
046700         03  R-DG9-19        PIC X VALUE  "z".                    89/10/06
046800         03  R-CAT-20        PIC X VALUE  ".".                    89/10/06
046900         03  R-UCA-21        PIC X VALUE  "A".                    89/10/06
047000         03  R-UCB-22        PIC X VALUE  "B".                    89/10/06
047100         03  R-UCC-23        PIC X VALUE  "C".                    89/10/06
047200         03  R-UCD-24        PIC X VALUE  "D".                    89/10/06
047300         03  R-UCE-25        PIC X VALUE  "E".                    89/10/06
047400         03  R-UCF-26        PIC X VALUE  "F".                    89/10/06
047500         03  R-UCG-27        PIC X VALUE  "G".                    89/10/06
047600         03  R-UCH-28        PIC X VALUE  "H".                    89/10/06
047700         03  R-UCI-29        PIC X VALUE  "I".                    89/10/06
047800         03  R-UCJ-30        PIC X VALUE  "J".                    89/10/06
047900         03  R-UCK-31        PIC X VALUE  "K".                    89/10/06
048000         03  R-UCL-32        PIC X VALUE  "L".                    89/10/06
048100         03  R-UCM-33        PIC X VALUE  "M".                    89/10/06
048200         03  R-UCN-34        PIC X VALUE  "N".                    89/10/06
048300         03  R-UCO-35        PIC X VALUE  "O".                    89/10/06
048400         03  R-UCP-36        PIC X VALUE  "P".                    89/10/06
048500         03  R-UCQ-37        PIC X VALUE  "Q".                    89/10/06
048600         03  R-UCR-38        PIC X VALUE  "R".                    89/10/06
048700         03  R-UCS-39        PIC X VALUE  "S".                    89/10/06
048800         03  R-UCT-40        PIC X VALUE  "T".                    89/10/06
048900         03  R-UCU-41        PIC X VALUE  "U".                    89/10/06
049000         03  R-UCV-42        PIC X VALUE  "V".                    89/10/06
049100         03  R-UCW-43        PIC X VALUE  "W".                    89/10/06
049200         03  R-UCX-44        PIC X VALUE  "X".                    89/10/06
049300         03  R-UCY-45        PIC X VALUE  "Y".                    89/10/06
049400         03  R-UCZ-46        PIC X VALUE  "Z".                    89/10/06
049500         03  R-UAE-47        PIC X VALUE  "[".                    89/10/06
049600         03  R-UOE-48        PIC X VALUE  "\".                    89/10/06
049700         03  R-UAA-49        PIC X VALUE  "]".                    89/10/06
049800         03  R-UND-50        PIC X VALUE  " ".                    89/10/06
049900         03  R-LCA-51        PIC X VALUE  "A".                    89/10/06
050000         03  R-LCB-52        PIC X VALUE  "B".                    89/10/06
050100         03  R-LCC-53        PIC X VALUE  "C".                    89/10/06
050200         03  R-LCD-54        PIC X VALUE  "D".                    89/10/06
050300         03  R-LCE-55        PIC X VALUE  "E".                    89/10/06
050400         03  R-LCF-56        PIC X VALUE  "F".                    89/10/06
050500         03  R-LCG-57        PIC X VALUE  "G".                    89/10/06
050600         03  R-LCH-58        PIC X VALUE  "H".                    89/10/06
050700         03  R-LCI-59        PIC X VALUE  "I".                    89/10/06
050800         03  R-LCJ-60        PIC X VALUE  "J".                    89/10/06
050900         03  R-LCK-61        PIC X VALUE  "K".                    89/10/06
051000         03  R-LCL-62        PIC X VALUE  "L".                    89/10/06
051100         03  R-LCM-63        PIC X VALUE  "M".                    89/10/06
051200         03  R-LCN-64        PIC X VALUE  "N".                    89/10/06
051300         03  R-LCO-65        PIC X VALUE  "O".                    89/10/06
051400         03  R-LCP-66        PIC X VALUE  "P".                    89/10/06
051500         03  R-LCQ-67        PIC X VALUE  "Q".                    89/10/06
051600         03  R-LCR-68        PIC X VALUE  "R".                    89/10/06
051700         03  R-LCS-69        PIC X VALUE  "S".                    89/10/06
051800         03  R-LCT-70        PIC X VALUE  "T".                    89/10/06
051900         03  R-LCU-71        PIC X VALUE  "U".                    89/10/06
052000         03  R-LCV-72        PIC X VALUE  "V".                    89/10/06
052100         03  R-LCW-73        PIC X VALUE  "W".                    89/10/06
052200         03  R-LCX-74        PIC X VALUE  "X".                    89/10/06
052300         03  R-LCY-75        PIC X VALUE  "Y".                    89/10/06
052400         03  R-LCZ-76        PIC X VALUE  "Z".                    89/10/06
052500         03  R-LAE-77        PIC X VALUE  "[".                    89/10/06
052600         03  R-LOE-78        PIC X VALUE  "\".                    89/10/06
052700         03  R-LAA-79        PIC X VALUE  "]".                    89/10/06
052800         03  R-COM-80        PIC X VALUE  ".".                    89/10/06
052900         03  R-DOT-81        PIC X VALUE  ".".                    89/10/06
053000         03  R-COL-82        PIC X VALUE  ".".                    89/10/06
053100         03  R-SEM-83        PIC X VALUE  ".".                    89/10/06
053200         03  R-EXC-84        PIC X VALUE  ".".                    89/10/06
053300         03  R-QUE-85        PIC X VALUE  ".".                    89/10/06
053400         03  R-QUO-86        PIC X VALUE  ".".                    89/10/06
053500         03  R-APS-87        PIC X VALUE  " ".                    89/10/06
053600         03  R-GRA-88        PIC X VALUE  " ".                    89/10/06
053700         03  R-TIL-89        PIC X VALUE  ".".                    89/10/06
053800         03  R-UPA-90        PIC X VALUE  ".".                    89/10/06
053900         03  R-CUR-91        PIC X VALUE  ".".                    89/10/06
054000         03  R-NBR-92        PIC X VALUE  ".".                    89/10/06
054100         03  R-PCT-93        PIC X VALUE  ".".                    89/10/06
054200         03  R-AND-94        PIC X VALUE  ".".                    89/10/06
054300         03  R-PLS-95        PIC X VALUE  ".".                    89/10/06
054400         03  R-MIN-96        PIC X VALUE  ".".                    89/10/06
054500         03  R-DIV-97        PIC X VALUE  ".".                    89/10/06
054600         03  R-AST-98        PIC X VALUE  ".".                    89/10/06
054700         03  R-BSL-99        PIC X VALUE  ".".                    89/10/06
054800         03  R-LPA-100       PIC X VALUE  ".".                    89/10/06
054900         03  R-RPA-101       PIC X VALUE  ".".                    89/10/06
055000         03  R-LBK-102       PIC X VALUE  ".".                    89/10/06
055100         03  R-RBK-103       PIC X VALUE  ".".                    89/10/06
055200         03  R-LBR-104       PIC X VALUE  ".".                    89/10/06
055300         03  R-RBR-105       PIC X VALUE  ".".                    89/10/06
055400         03  R-VER-106       PIC X VALUE  ".".                    89/10/06
055500         03  R-LSS-107       PIC X VALUE  ".".                    89/10/06
055600         03  R-EQS-108       PIC X VALUE  ".".                    89/10/06
055700         03  R-GRT-109       PIC X VALUE  ".".                    89/10/06
055800         03  R-UAU-110       PIC X VALUE  "A".                    89/10/06
055900         03  R-UOU-111       PIC X VALUE  "O".                    89/10/06
056000         03  R-UUU-112       PIC X VALUE  "U".                    89/10/06
056100         03  R-LAE-113       PIC X VALUE  "A".                    89/10/06
056200         03  R-LAG-114       PIC X VALUE  "A".                    89/10/06
056300         03  R-LAC-115       PIC X VALUE  "A".                    89/10/06
056400         03  R-LAT-116       PIC X VALUE  "A".                    89/10/06
056500         03  R-LCD-117       PIC X VALUE  "C".                    89/10/06
056600         03  R-LEE-118       PIC X VALUE  "E".                    89/10/06
056700         03  R-LEG-119       PIC X VALUE  "E".                    89/10/06
056800         03  R-LEC-120       PIC X VALUE  "E".                    89/10/06
056900         03  R-LET-121       PIC X VALUE  "E".                    89/10/06
057000         03  R-LIC-122       PIC X VALUE  "I".                    89/10/06
057100         03  R-LNT-123       PIC X VALUE  "N".                    89/10/06
057200         03  R-LOC-124       PIC X VALUE  "O".                    89/10/06
057300         03  R-LOT-125       PIC X VALUE  "O".                    89/10/06
057400         03  R-LSS-126       PIC X VALUE  "S".                    89/10/06
057500         03  R-LUC-127       PIC X VALUE  "U".                    89/10/06
057600         03  R-LUT-128       PIC X VALUE  "U".                    89/10/06
057700                                                                  89/10/06
057800     02  RANKED-CHAR         REDEFINES  RANKED-CHARS              89/10/06
057900                             PIC X      OCCURS 128 TIMES.         89/10/06
058000                                                                  89/10/06
058100 01  UPPER-CASE-ACCENTED-CHARS.                                   88/09/26
058200     02  UC-ACCENTED-CHARS.                                       88/09/26
058300         03  U-LAE-113       PIC S9(3)  COMP  VALUE  +21.         89/10/05
058400         03  U-LAG-114       PIC S9(3)  COMP  VALUE  +21.         89/10/05
058500         03  U-LAC-115       PIC S9(3)  COMP  VALUE  +21.         89/10/05
058600         03  U-LAU-116       PIC S9(3)  COMP  VALUE +110.         89/10/05
058700         03  U-LCD-117       PIC S9(3)  COMP  VALUE  +23.         89/10/05
058800         03  U-LEE-118       PIC S9(3)  COMP  VALUE  +25.         89/10/05
058900         03  U-LEG-119       PIC S9(3)  COMP  VALUE  +25.         89/10/05
059000         03  U-LEC-120       PIC S9(3)  COMP  VALUE  +25.         89/10/05
059100         03  U-LET-121       PIC S9(3)  COMP  VALUE  +25.         89/10/05
059200         03  U-LIC-122       PIC S9(3)  COMP  VALUE  +29.         89/10/05
059300         03  U-LNT-123       PIC S9(3)  COMP  VALUE  +34.         89/10/05
059400         03  U-LOC-124       PIC S9(3)  COMP  VALUE  +35.         89/10/05
059500         03  U-LOU-125       PIC S9(3)  COMP  VALUE +111.         89/10/05
059600         03  U-LSS-126       PIC S9(3)  COMP  VALUE  +39.         97/04/19
059700         03  U-LUC-127       PIC S9(3)  COMP  VALUE  +41.         89/10/05
059800         03  U-LUU-128       PIC S9(3)  COMP  VALUE +112.         89/10/05
059900                                                                  88/09/26
060000     02  FILLER              REDEFINES  UC-ACCENTED-CHARS.        88/09/26
060100         03  UC-ACC-CHAR     PIC S9(3)  COMP OCCURS 16 TIMES.     89/10/05
060200                                                                  88/09/26
060300 01  EBCDIC-ASCII-TABLES.                                         94/08/19
060400     02  ASCII-CHARS.                                             94/08/19
060500         03  ASCII-FOR-01    PIC S9(3)  COMP  VALUE +001.         94/08/20
060600         03  ASCII-FOR-02    PIC S9(3)  COMP  VALUE +002.         94/08/20
060700         03  ASCII-FOR-03    PIC S9(3)  COMP  VALUE +003.         94/08/20
060800         03  ASCII-FOR-04    PIC S9(3)  COMP  VALUE +127.         94/08/20
060900         03  ASCII-FOR-05    PIC S9(3)  COMP  VALUE +009.         94/08/20
061000         03  ASCII-FOR-06    PIC S9(3)  COMP  VALUE +127.         94/08/20
061100         03  ASCII-FOR-07    PIC S9(3)  COMP  VALUE +127.         94/08/20
061200         03  ASCII-FOR-08    PIC S9(3)  COMP  VALUE +127.         94/08/20
061300         03  ASCII-FOR-09    PIC S9(3)  COMP  VALUE +127.         94/08/20
061400         03  ASCII-FOR-0A    PIC S9(3)  COMP  VALUE +127.         94/08/20
061500         03  ASCII-FOR-0B    PIC S9(3)  COMP  VALUE +011.         94/08/20
061600         03  ASCII-FOR-0C    PIC S9(3)  COMP  VALUE +012.         94/08/20
061700         03  ASCII-FOR-0D    PIC S9(3)  COMP  VALUE +013.         94/08/20
061800         03  ASCII-FOR-0E    PIC S9(3)  COMP  VALUE +014.         94/08/20
061900         03  ASCII-FOR-0F    PIC S9(3)  COMP  VALUE +015.         94/08/20
062000                                                                  94/08/19
062100         03  ASCII-FOR-10    PIC S9(3)  COMP  VALUE +016.         94/08/20
062200         03  ASCII-FOR-11    PIC S9(3)  COMP  VALUE +017.         94/08/20
062300         03  ASCII-FOR-12    PIC S9(3)  COMP  VALUE +018.         94/08/20
062400         03  ASCII-FOR-13    PIC S9(3)  COMP  VALUE +019.         94/08/20
062500         03  ASCII-FOR-14    PIC S9(3)  COMP  VALUE +127.         94/08/20
062600         03  ASCII-FOR-15    PIC S9(3)  COMP  VALUE +010.         94/08/20
062700         03  ASCII-FOR-16    PIC S9(3)  COMP  VALUE +008.         94/08/20
062800         03  ASCII-FOR-17    PIC S9(3)  COMP  VALUE +127.         94/08/20
062900         03  ASCII-FOR-18    PIC S9(3)  COMP  VALUE +024.         94/08/20
063000         03  ASCII-FOR-19    PIC S9(3)  COMP  VALUE +025.         94/08/20
063100         03  ASCII-FOR-1A    PIC S9(3)  COMP  VALUE +127.         94/08/20
063200         03  ASCII-FOR-1B    PIC S9(3)  COMP  VALUE +127.         94/08/20
063300         03  ASCII-FOR-1C    PIC S9(3)  COMP  VALUE +028.         94/08/20
063400         03  ASCII-FOR-1D    PIC S9(3)  COMP  VALUE +029.         94/08/20
063500         03  ASCII-FOR-1E    PIC S9(3)  COMP  VALUE +030.         94/08/20
063600         03  ASCII-FOR-1F    PIC S9(3)  COMP  VALUE +031.         94/08/20
063700                                                                  94/08/19
063800         03  ASCII-FOR-20    PIC S9(3)  COMP  VALUE +032.         94/08/20
063900         03  ASCII-FOR-21    PIC S9(3)  COMP  VALUE +127.         94/08/20
064000         03  ASCII-FOR-22    PIC S9(3)  COMP  VALUE +127.         94/08/20
064100         03  ASCII-FOR-23    PIC S9(3)  COMP  VALUE +127.         94/08/20
064200         03  ASCII-FOR-24    PIC S9(3)  COMP  VALUE +127.         94/08/20
064300         03  ASCII-FOR-25    PIC S9(3)  COMP  VALUE +010.         94/08/20
064400         03  ASCII-FOR-26    PIC S9(3)  COMP  VALUE +023.         94/08/20
064500         03  ASCII-FOR-27    PIC S9(3)  COMP  VALUE +027.         94/08/20
064600         03  ASCII-FOR-28    PIC S9(3)  COMP  VALUE +127.         94/08/20
064700         03  ASCII-FOR-29    PIC S9(3)  COMP  VALUE +127.         94/08/20
064800         03  ASCII-FOR-2A    PIC S9(3)  COMP  VALUE +127.         94/08/20
064900         03  ASCII-FOR-2B    PIC S9(3)  COMP  VALUE +127.         94/08/20
065000         03  ASCII-FOR-2C    PIC S9(3)  COMP  VALUE +127.         94/08/20
065100         03  ASCII-FOR-2D    PIC S9(3)  COMP  VALUE +005.         94/08/20
065200         03  ASCII-FOR-2E    PIC S9(3)  COMP  VALUE +006.         94/08/20
065300         03  ASCII-FOR-2F    PIC S9(3)  COMP  VALUE +007.         94/08/20
065400                                                                  94/08/19
065500         03  ASCII-FOR-30    PIC S9(3)  COMP  VALUE +127.         94/08/20
065600         03  ASCII-FOR-31    PIC S9(3)  COMP  VALUE +127.         94/08/20
065700         03  ASCII-FOR-32    PIC S9(3)  COMP  VALUE +022.         94/08/20
065800         03  ASCII-FOR-33    PIC S9(3)  COMP  VALUE +127.         94/08/20
065900         03  ASCII-FOR-34    PIC S9(3)  COMP  VALUE +127.         94/08/20
066000         03  ASCII-FOR-35    PIC S9(3)  COMP  VALUE +127.         94/08/20
066100         03  ASCII-FOR-36    PIC S9(3)  COMP  VALUE +127.         94/08/20
066200         03  ASCII-FOR-37    PIC S9(3)  COMP  VALUE +004.         94/08/20
066300         03  ASCII-FOR-38    PIC S9(3)  COMP  VALUE +127.         94/08/20
066400         03  ASCII-FOR-39    PIC S9(3)  COMP  VALUE +127.         94/08/20
066500         03  ASCII-FOR-3A    PIC S9(3)  COMP  VALUE +127.         94/08/20
066600         03  ASCII-FOR-3B    PIC S9(3)  COMP  VALUE +127.         94/08/20
066700         03  ASCII-FOR-3C    PIC S9(3)  COMP  VALUE +020.         94/08/20
066800         03  ASCII-FOR-3D    PIC S9(3)  COMP  VALUE +021.         94/08/20
066900         03  ASCII-FOR-3E    PIC S9(3)  COMP  VALUE +127.         94/08/20
067000         03  ASCII-FOR-3F    PIC S9(3)  COMP  VALUE +026.         94/08/20
067100                                                                  94/08/19
067200         03  ASCII-FOR-40    PIC S9(3)  COMP  VALUE +032.         94/08/20
067300         03  ASCII-FOR-41    PIC S9(3)  COMP  VALUE +127.         94/08/20
067400         03  ASCII-FOR-42    PIC S9(3)  COMP  VALUE +097.         94/08/20
067500         03  ASCII-FOR-43    PIC S9(3)  COMP  VALUE +127.         94/08/20
067600         03  ASCII-FOR-44    PIC S9(3)  COMP  VALUE +127.         94/08/20
067700         03  ASCII-FOR-45    PIC S9(3)  COMP  VALUE +127.         94/08/20
067800         03  ASCII-FOR-46    PIC S9(3)  COMP  VALUE +127.         94/08/20
067900         03  ASCII-FOR-47    PIC S9(3)  COMP  VALUE +127.         94/08/20
068000         03  ASCII-FOR-48    PIC S9(3)  COMP  VALUE +099.         94/08/20
068100         03  ASCII-FOR-49    PIC S9(3)  COMP  VALUE +127.         94/08/20
068200         03  ASCII-FOR-4A    PIC S9(3)  COMP  VALUE +091.         94/08/20
068300         03  ASCII-FOR-4B    PIC S9(3)  COMP  VALUE +046.         94/08/20
068400         03  ASCII-FOR-4C    PIC S9(3)  COMP  VALUE +060.         94/08/20
068500         03  ASCII-FOR-4D    PIC S9(3)  COMP  VALUE +040.         94/08/20
068600         03  ASCII-FOR-4E    PIC S9(3)  COMP  VALUE +043.         94/08/20
068700         03  ASCII-FOR-4F    PIC S9(3)  COMP  VALUE +033.         94/08/20
068800                                                                  94/08/19
068900         03  ASCII-FOR-50    PIC S9(3)  COMP  VALUE +038.         94/08/20
069000         03  ASCII-FOR-51    PIC S9(3)  COMP  VALUE +127.         94/08/20
069100         03  ASCII-FOR-52    PIC S9(3)  COMP  VALUE +101.         94/08/20
069200         03  ASCII-FOR-53    PIC S9(3)  COMP  VALUE +101.         94/08/20
069300         03  ASCII-FOR-54    PIC S9(3)  COMP  VALUE +127.         94/08/20
069400         03  ASCII-FOR-55    PIC S9(3)  COMP  VALUE +127.         94/08/20
069500         03  ASCII-FOR-56    PIC S9(3)  COMP  VALUE +105.         94/08/20
069600         03  ASCII-FOR-57    PIC S9(3)  COMP  VALUE +105.         94/08/20
069700         03  ASCII-FOR-58    PIC S9(3)  COMP  VALUE +127.         94/08/20
069800         03  ASCII-FOR-59    PIC S9(3)  COMP  VALUE +127.         94/08/20
069900         03  ASCII-FOR-5A    PIC S9(3)  COMP  VALUE +093.         94/08/20
070000         03  ASCII-FOR-5B    PIC S9(3)  COMP  VALUE +036.         94/08/20
070100         03  ASCII-FOR-5C    PIC S9(3)  COMP  VALUE +042.         94/08/20
070200         03  ASCII-FOR-5D    PIC S9(3)  COMP  VALUE +041.         94/08/20
070300         03  ASCII-FOR-5E    PIC S9(3)  COMP  VALUE +059.         94/08/20
070400         03  ASCII-FOR-5F    PIC S9(3)  COMP  VALUE +094.         94/08/20
070500                                                                  94/08/19
070600         03  ASCII-FOR-60    PIC S9(3)  COMP  VALUE +045.         94/08/20
070700         03  ASCII-FOR-61    PIC S9(3)  COMP  VALUE +047.         94/08/20
070800         03  ASCII-FOR-62    PIC S9(3)  COMP  VALUE +065.         94/08/20
070900         03  ASCII-FOR-63    PIC S9(3)  COMP  VALUE +127.         94/08/20
071000         03  ASCII-FOR-64    PIC S9(3)  COMP  VALUE +065.         94/08/20
071100         03  ASCII-FOR-65    PIC S9(3)  COMP  VALUE +127.         94/08/20
071200         03  ASCII-FOR-66    PIC S9(3)  COMP  VALUE +127.         94/08/20
071300         03  ASCII-FOR-67    PIC S9(3)  COMP  VALUE +127.         94/08/20
071400         03  ASCII-FOR-68    PIC S9(3)  COMP  VALUE +067.         94/08/20
071500         03  ASCII-FOR-69    PIC S9(3)  COMP  VALUE +127.         94/08/20
071600         03  ASCII-FOR-6A    PIC S9(3)  COMP  VALUE +033.         94/08/20
071700         03  ASCII-FOR-6B    PIC S9(3)  COMP  VALUE +044.         94/08/20
071800         03  ASCII-FOR-6C    PIC S9(3)  COMP  VALUE +037.         94/08/20
071900         03  ASCII-FOR-6D    PIC S9(3)  COMP  VALUE +095.         94/08/20
072000         03  ASCII-FOR-6E    PIC S9(3)  COMP  VALUE +062.         94/08/20
072100         03  ASCII-FOR-6F    PIC S9(3)  COMP  VALUE +063.         94/08/20
072200                                                                  94/08/19
072300         03  ASCII-FOR-70    PIC S9(3)  COMP  VALUE +127.         94/08/20
072400         03  ASCII-FOR-71    PIC S9(3)  COMP  VALUE +069.         94/08/20
072500         03  ASCII-FOR-72    PIC S9(3)  COMP  VALUE +069.         94/08/20
072600         03  ASCII-FOR-73    PIC S9(3)  COMP  VALUE +069.         94/08/20
072700         03  ASCII-FOR-74    PIC S9(3)  COMP  VALUE +069.         94/08/20
072800         03  ASCII-FOR-75    PIC S9(3)  COMP  VALUE +127.         94/08/20
072900         03  ASCII-FOR-76    PIC S9(3)  COMP  VALUE +073.         94/08/20
073000         03  ASCII-FOR-77    PIC S9(3)  COMP  VALUE +073.         94/08/20
073100         03  ASCII-FOR-78    PIC S9(3)  COMP  VALUE +127.         94/08/20
073200         03  ASCII-FOR-79    PIC S9(3)  COMP  VALUE +096.         94/08/20
073300         03  ASCII-FOR-7A    PIC S9(3)  COMP  VALUE +058.         94/08/20
073400         03  ASCII-FOR-7B    PIC S9(3)  COMP  VALUE +035.         94/08/20
073500         03  ASCII-FOR-7C    PIC S9(3)  COMP  VALUE +064.         94/08/20
073600         03  ASCII-FOR-7D    PIC S9(3)  COMP  VALUE +039.         94/08/20
073700         03  ASCII-FOR-7E    PIC S9(3)  COMP  VALUE +061.         94/08/20
073800         03  ASCII-FOR-7F    PIC S9(3)  COMP  VALUE +034.         94/08/20
073900                                                                  94/08/19
074000         03  ASCII-FOR-80    PIC S9(3)  COMP  VALUE +127.         94/08/20
074100         03  ASCII-FOR-81    PIC S9(3)  COMP  VALUE +097.         94/08/20
074200         03  ASCII-FOR-82    PIC S9(3)  COMP  VALUE +098.         94/08/20
074300         03  ASCII-FOR-83    PIC S9(3)  COMP  VALUE +099.         94/08/20
074400         03  ASCII-FOR-84    PIC S9(3)  COMP  VALUE +100.         94/08/20
074500         03  ASCII-FOR-85    PIC S9(3)  COMP  VALUE +101.         94/08/20
074600         03  ASCII-FOR-86    PIC S9(3)  COMP  VALUE +102.         94/08/20
074700         03  ASCII-FOR-87    PIC S9(3)  COMP  VALUE +103.         94/08/20
074800         03  ASCII-FOR-88    PIC S9(3)  COMP  VALUE +104.         94/08/20
074900         03  ASCII-FOR-89    PIC S9(3)  COMP  VALUE +105.         94/08/20
075000         03  ASCII-FOR-8A    PIC S9(3)  COMP  VALUE +127.         94/08/20
075100         03  ASCII-FOR-8B    PIC S9(3)  COMP  VALUE +127.         94/08/20
075200         03  ASCII-FOR-8C    PIC S9(3)  COMP  VALUE +127.         94/08/20
075300         03  ASCII-FOR-8D    PIC S9(3)  COMP  VALUE +127.         94/08/20
075400         03  ASCII-FOR-8E    PIC S9(3)  COMP  VALUE +127.         94/08/20
075500         03  ASCII-FOR-8F    PIC S9(3)  COMP  VALUE +127.         94/08/20
075600                                                                  94/08/19
075700         03  ASCII-FOR-90    PIC S9(3)  COMP  VALUE +127.         94/08/20
075800         03  ASCII-FOR-91    PIC S9(3)  COMP  VALUE +106.         94/08/20
075900         03  ASCII-FOR-92    PIC S9(3)  COMP  VALUE +107.         94/08/20
076000         03  ASCII-FOR-93    PIC S9(3)  COMP  VALUE +108.         94/08/20
076100         03  ASCII-FOR-94    PIC S9(3)  COMP  VALUE +109.         94/08/20
076200         03  ASCII-FOR-95    PIC S9(3)  COMP  VALUE +110.         94/08/20
076300         03  ASCII-FOR-96    PIC S9(3)  COMP  VALUE +111.         94/08/20
076400         03  ASCII-FOR-97    PIC S9(3)  COMP  VALUE +112.         94/08/20
076500         03  ASCII-FOR-98    PIC S9(3)  COMP  VALUE +113.         94/08/20
076600         03  ASCII-FOR-99    PIC S9(3)  COMP  VALUE +114.         94/08/20
076700         03  ASCII-FOR-9A    PIC S9(3)  COMP  VALUE +127.         94/08/20
076800         03  ASCII-FOR-9B    PIC S9(3)  COMP  VALUE +127.         94/08/20
076900         03  ASCII-FOR-9C    PIC S9(3)  COMP  VALUE +127.         94/08/20
077000         03  ASCII-FOR-9D    PIC S9(3)  COMP  VALUE +127.         94/08/20
077100         03  ASCII-FOR-9E    PIC S9(3)  COMP  VALUE +127.         94/08/20
077200         03  ASCII-FOR-9F    PIC S9(3)  COMP  VALUE +127.         94/08/20
077300                                                                  94/08/19
077400         03  ASCII-FOR-A0    PIC S9(3)  COMP  VALUE +127.         94/08/20
077500         03  ASCII-FOR-A1    PIC S9(3)  COMP  VALUE +126.         94/08/20
077600         03  ASCII-FOR-A2    PIC S9(3)  COMP  VALUE +115.         94/08/20
077700         03  ASCII-FOR-A3    PIC S9(3)  COMP  VALUE +116.         94/08/20
077800         03  ASCII-FOR-A4    PIC S9(3)  COMP  VALUE +117.         94/08/20
077900         03  ASCII-FOR-A5    PIC S9(3)  COMP  VALUE +118.         94/08/20
078000         03  ASCII-FOR-A6    PIC S9(3)  COMP  VALUE +119.         94/08/20
078100         03  ASCII-FOR-A7    PIC S9(3)  COMP  VALUE +120.         94/08/20
078200         03  ASCII-FOR-A8    PIC S9(3)  COMP  VALUE +121.         94/08/20
078300         03  ASCII-FOR-A9    PIC S9(3)  COMP  VALUE +122.         94/08/20
078400         03  ASCII-FOR-AA    PIC S9(3)  COMP  VALUE +127.         94/08/20
078500         03  ASCII-FOR-AB    PIC S9(3)  COMP  VALUE +127.         94/08/20
078600         03  ASCII-FOR-AC    PIC S9(3)  COMP  VALUE +127.         94/08/20
078700         03  ASCII-FOR-AD    PIC S9(3)  COMP  VALUE +127.         94/08/20
078800         03  ASCII-FOR-AE    PIC S9(3)  COMP  VALUE +127.         94/08/20
078900         03  ASCII-FOR-AF    PIC S9(3)  COMP  VALUE +127.         94/08/20
079000                                                                  94/08/19
079100         03  ASCII-FOR-B0    PIC S9(3)  COMP  VALUE +127.         94/08/20
079200         03  ASCII-FOR-B1    PIC S9(3)  COMP  VALUE +127.         94/08/20
079300         03  ASCII-FOR-B2    PIC S9(3)  COMP  VALUE +127.         94/08/20
079400         03  ASCII-FOR-B3    PIC S9(3)  COMP  VALUE +127.         94/08/20
079500         03  ASCII-FOR-B4    PIC S9(3)  COMP  VALUE +127.         94/08/20
079600         03  ASCII-FOR-B5    PIC S9(3)  COMP  VALUE +127.         94/08/20
079700         03  ASCII-FOR-B6    PIC S9(3)  COMP  VALUE +127.         94/08/20
079800         03  ASCII-FOR-B7    PIC S9(3)  COMP  VALUE +127.         94/08/20
079900         03  ASCII-FOR-B8    PIC S9(3)  COMP  VALUE +127.         94/08/20
080000         03  ASCII-FOR-B9    PIC S9(3)  COMP  VALUE +127.         94/08/20
080100         03  ASCII-FOR-BA    PIC S9(3)  COMP  VALUE +127.         94/08/20
080200         03  ASCII-FOR-BB    PIC S9(3)  COMP  VALUE +127.         94/08/20
080300         03  ASCII-FOR-BC    PIC S9(3)  COMP  VALUE +127.         94/08/20
080400         03  ASCII-FOR-BD    PIC S9(3)  COMP  VALUE +127.         94/08/20
080500         03  ASCII-FOR-BE    PIC S9(3)  COMP  VALUE +127.         94/08/20
080600         03  ASCII-FOR-BF    PIC S9(3)  COMP  VALUE +127.         94/08/20
080700                                                                  94/08/19
080800         03  ASCII-FOR-C0    PIC S9(3)  COMP  VALUE +123.         94/08/20
080900         03  ASCII-FOR-C1    PIC S9(3)  COMP  VALUE +065.         94/08/20
081000         03  ASCII-FOR-C2    PIC S9(3)  COMP  VALUE +066.         94/08/20
081100         03  ASCII-FOR-C3    PIC S9(3)  COMP  VALUE +067.         94/08/20
081200         03  ASCII-FOR-C4    PIC S9(3)  COMP  VALUE +068.         94/08/20
081300         03  ASCII-FOR-C5    PIC S9(3)  COMP  VALUE +069.         94/08/20
081400         03  ASCII-FOR-C6    PIC S9(3)  COMP  VALUE +070.         94/08/20
081500         03  ASCII-FOR-C7    PIC S9(3)  COMP  VALUE +071.         94/08/20
081600         03  ASCII-FOR-C8    PIC S9(3)  COMP  VALUE +072.         94/08/20
081700         03  ASCII-FOR-C9    PIC S9(3)  COMP  VALUE +073.         94/08/20
081800         03  ASCII-FOR-CA    PIC S9(3)  COMP  VALUE +127.         94/08/20
081900         03  ASCII-FOR-CB    PIC S9(3)  COMP  VALUE +111.         94/08/20
082000         03  ASCII-FOR-CC    PIC S9(3)  COMP  VALUE +127.         94/08/20
082100         03  ASCII-FOR-CD    PIC S9(3)  COMP  VALUE +127.         94/08/20
082200         03  ASCII-FOR-CE    PIC S9(3)  COMP  VALUE +127.         94/08/20
082300         03  ASCII-FOR-CF    PIC S9(3)  COMP  VALUE +127.         94/08/20
082400                                                                  94/08/19
082500         03  ASCII-FOR-D0    PIC S9(3)  COMP  VALUE +125.         94/08/20
082600         03  ASCII-FOR-D1    PIC S9(3)  COMP  VALUE +074.         94/08/20
082700         03  ASCII-FOR-D2    PIC S9(3)  COMP  VALUE +075.         94/08/20
082800         03  ASCII-FOR-D3    PIC S9(3)  COMP  VALUE +076.         94/08/20
082900         03  ASCII-FOR-D4    PIC S9(3)  COMP  VALUE +077.         94/08/20
083000         03  ASCII-FOR-D5    PIC S9(3)  COMP  VALUE +078.         94/08/20
083100         03  ASCII-FOR-D6    PIC S9(3)  COMP  VALUE +079.         94/08/20
083200         03  ASCII-FOR-D7    PIC S9(3)  COMP  VALUE +080.         94/08/20
083300         03  ASCII-FOR-D8    PIC S9(3)  COMP  VALUE +081.         94/08/20
083400         03  ASCII-FOR-D9    PIC S9(3)  COMP  VALUE +082.         94/08/20
083500         03  ASCII-FOR-DA    PIC S9(3)  COMP  VALUE +127.         94/08/20
083600         03  ASCII-FOR-DB    PIC S9(3)  COMP  VALUE +117.         94/08/20
083700         03  ASCII-FOR-DC    PIC S9(3)  COMP  VALUE +117.         94/08/20
083800         03  ASCII-FOR-DD    PIC S9(3)  COMP  VALUE +127.         94/08/20
083900         03  ASCII-FOR-DE    PIC S9(3)  COMP  VALUE +127.         94/08/20
084000         03  ASCII-FOR-DF    PIC S9(3)  COMP  VALUE +127.         94/08/20
084100                                                                  94/08/19
084200         03  ASCII-FOR-E0    PIC S9(3)  COMP  VALUE +092.         94/08/20
084300         03  ASCII-FOR-E1    PIC S9(3)  COMP  VALUE +127.         94/08/20
084400         03  ASCII-FOR-E2    PIC S9(3)  COMP  VALUE +083.         94/08/20
084500         03  ASCII-FOR-E3    PIC S9(3)  COMP  VALUE +084.         94/08/20
084600         03  ASCII-FOR-E4    PIC S9(3)  COMP  VALUE +085.         94/08/20
084700         03  ASCII-FOR-E5    PIC S9(3)  COMP  VALUE +086.         94/08/20
084800         03  ASCII-FOR-E6    PIC S9(3)  COMP  VALUE +087.         94/08/20
084900         03  ASCII-FOR-E7    PIC S9(3)  COMP  VALUE +088.         94/08/20
085000         03  ASCII-FOR-E8    PIC S9(3)  COMP  VALUE +089.         94/08/20
085100         03  ASCII-FOR-E9    PIC S9(3)  COMP  VALUE +090.         94/08/20
085200         03  ASCII-FOR-EA    PIC S9(3)  COMP  VALUE +127.         94/08/20
085300         03  ASCII-FOR-EB    PIC S9(3)  COMP  VALUE +079.         94/08/20
085400         03  ASCII-FOR-EC    PIC S9(3)  COMP  VALUE +127.         94/08/20
085500         03  ASCII-FOR-ED    PIC S9(3)  COMP  VALUE +127.         94/08/20
085600         03  ASCII-FOR-EE    PIC S9(3)  COMP  VALUE +127.         94/08/20
085700         03  ASCII-FOR-EF    PIC S9(3)  COMP  VALUE +127.         94/08/20
085800                                                                  94/08/19
085900         03  ASCII-FOR-F0    PIC S9(3)  COMP  VALUE +048.         94/08/20
086000         03  ASCII-FOR-F1    PIC S9(3)  COMP  VALUE +049.         94/08/20
086100         03  ASCII-FOR-F2    PIC S9(3)  COMP  VALUE +050.         94/08/20
086200         03  ASCII-FOR-F3    PIC S9(3)  COMP  VALUE +051.         94/08/20
086300         03  ASCII-FOR-F4    PIC S9(3)  COMP  VALUE +052.         94/08/20
086400         03  ASCII-FOR-F5    PIC S9(3)  COMP  VALUE +053.         94/08/20
086500         03  ASCII-FOR-F6    PIC S9(3)  COMP  VALUE +054.         94/08/20
086600         03  ASCII-FOR-F7    PIC S9(3)  COMP  VALUE +055.         94/08/20
086700         03  ASCII-FOR-F8    PIC S9(3)  COMP  VALUE +056.         94/08/20
086800         03  ASCII-FOR-F9    PIC S9(3)  COMP  VALUE +057.         94/08/20
086900         03  ASCII-FOR-FA    PIC S9(3)  COMP  VALUE +127.         94/08/20
087000         03  ASCII-FOR-FB    PIC S9(3)  COMP  VALUE +085.         94/08/20
087100         03  ASCII-FOR-FC    PIC S9(3)  COMP  VALUE +085.         94/08/20
087200         03  ASCII-FOR-FD    PIC S9(3)  COMP  VALUE +085.         94/08/20
087300         03  ASCII-FOR-FE    PIC S9(3)  COMP  VALUE +127.         94/08/20
087400         03  ASCII-FOR-FF    PIC S9(3)  COMP  VALUE +127.         94/08/20
087500     02  FILLER              REDEFINES  ASCII-CHARS.              94/08/19
087600         03  ASCII-CHAR      PIC S9(3)  COMP  OCCURS 255.         94/08/19
087700                                                                  94/08/19
087800     02  EBCDIC-CHARS.                                            94/08/19
087900         03  EBCDIC-FOR-01   PIC S9(3)  COMP  VALUE +001.         94/08/20
088000         03  EBCDIC-FOR-02   PIC S9(3)  COMP  VALUE +002.         94/08/20
088100         03  EBCDIC-FOR-03   PIC S9(3)  COMP  VALUE +003.         94/08/20
088200         03  EBCDIC-FOR-04   PIC S9(3)  COMP  VALUE +055.         94/08/20
088300         03  EBCDIC-FOR-05   PIC S9(3)  COMP  VALUE +045.         94/08/20
088400         03  EBCDIC-FOR-06   PIC S9(3)  COMP  VALUE +046.         94/08/20
088500         03  EBCDIC-FOR-07   PIC S9(3)  COMP  VALUE +047.         94/08/20
088600         03  EBCDIC-FOR-08   PIC S9(3)  COMP  VALUE +022.         94/08/20
088700         03  EBCDIC-FOR-09   PIC S9(3)  COMP  VALUE +005.         94/08/20
088800         03  EBCDIC-FOR-0A   PIC S9(3)  COMP  VALUE +021.         94/08/20
088900         03  EBCDIC-FOR-0B   PIC S9(3)  COMP  VALUE +011.         94/08/20
089000         03  EBCDIC-FOR-0C   PIC S9(3)  COMP  VALUE +012.         94/08/20
089100         03  EBCDIC-FOR-0D   PIC S9(3)  COMP  VALUE +013.         94/08/20
089200         03  EBCDIC-FOR-0E   PIC S9(3)  COMP  VALUE +014.         94/08/20
089300         03  EBCDIC-FOR-0F   PIC S9(3)  COMP  VALUE +015.         94/08/20
089400                                                                  94/08/19
089500         03  EBCDIC-FOR-10   PIC S9(3)  COMP  VALUE +016.         94/08/20
089600         03  EBCDIC-FOR-11   PIC S9(3)  COMP  VALUE +017.         94/08/20
089700         03  EBCDIC-FOR-12   PIC S9(3)  COMP  VALUE +018.         94/08/20
089800         03  EBCDIC-FOR-13   PIC S9(3)  COMP  VALUE +019.         94/08/20
089900         03  EBCDIC-FOR-14   PIC S9(3)  COMP  VALUE +060.         94/08/20
090000         03  EBCDIC-FOR-15   PIC S9(3)  COMP  VALUE +061.         94/08/20
090100         03  EBCDIC-FOR-16   PIC S9(3)  COMP  VALUE +050.         94/08/20
090200         03  EBCDIC-FOR-17   PIC S9(3)  COMP  VALUE +038.         94/08/20
090300         03  EBCDIC-FOR-18   PIC S9(3)  COMP  VALUE +024.         94/08/20
090400         03  EBCDIC-FOR-19   PIC S9(3)  COMP  VALUE +025.         94/08/20
090500         03  EBCDIC-FOR-1A   PIC S9(3)  COMP  VALUE +063.         94/08/20
090600         03  EBCDIC-FOR-1B   PIC S9(3)  COMP  VALUE +039.         94/08/20
090700         03  EBCDIC-FOR-1C   PIC S9(3)  COMP  VALUE +028.         94/08/20
090800         03  EBCDIC-FOR-1D   PIC S9(3)  COMP  VALUE +029.         94/08/20
090900         03  EBCDIC-FOR-1E   PIC S9(3)  COMP  VALUE +030.         94/08/20
091000         03  EBCDIC-FOR-1F   PIC S9(3)  COMP  VALUE +031.         94/08/20
091100                                                                  94/08/19
091200         03  EBCDIC-FOR-20   PIC S9(3)  COMP  VALUE +064.         94/08/20
091300         03  EBCDIC-FOR-21   PIC S9(3)  COMP  VALUE +079.         94/08/20
091400         03  EBCDIC-FOR-22   PIC S9(3)  COMP  VALUE +127.         94/08/20
091500         03  EBCDIC-FOR-23   PIC S9(3)  COMP  VALUE +123.         94/08/20
091600         03  EBCDIC-FOR-24   PIC S9(3)  COMP  VALUE +091.         94/08/20
091700         03  EBCDIC-FOR-25   PIC S9(3)  COMP  VALUE +108.         94/08/20
091800         03  EBCDIC-FOR-26   PIC S9(3)  COMP  VALUE +080.         94/08/20
091900         03  EBCDIC-FOR-27   PIC S9(3)  COMP  VALUE +125.         94/08/20
092000         03  EBCDIC-FOR-28   PIC S9(3)  COMP  VALUE +077.         94/08/20
092100         03  EBCDIC-FOR-29   PIC S9(3)  COMP  VALUE +093.         94/08/20
092200         03  EBCDIC-FOR-2A   PIC S9(3)  COMP  VALUE +092.         94/08/20
092300         03  EBCDIC-FOR-2B   PIC S9(3)  COMP  VALUE +078.         94/08/20
092400         03  EBCDIC-FOR-2C   PIC S9(3)  COMP  VALUE +107.         94/08/20
092500         03  EBCDIC-FOR-2D   PIC S9(3)  COMP  VALUE +096.         94/08/20
092600         03  EBCDIC-FOR-2E   PIC S9(3)  COMP  VALUE +075.         94/08/20
092700         03  EBCDIC-FOR-2F   PIC S9(3)  COMP  VALUE +097.         94/08/20
092800                                                                  94/08/19
092900         03  EBCDIC-FOR-30   PIC S9(3)  COMP  VALUE +240.         94/08/20
093000         03  EBCDIC-FOR-31   PIC S9(3)  COMP  VALUE +241.         94/08/20
093100         03  EBCDIC-FOR-32   PIC S9(3)  COMP  VALUE +242.         94/08/20
093200         03  EBCDIC-FOR-33   PIC S9(3)  COMP  VALUE +243.         94/08/20
093300         03  EBCDIC-FOR-34   PIC S9(3)  COMP  VALUE +244.         94/08/20
093400         03  EBCDIC-FOR-35   PIC S9(3)  COMP  VALUE +245.         94/08/20
093500         03  EBCDIC-FOR-36   PIC S9(3)  COMP  VALUE +246.         94/08/20
093600         03  EBCDIC-FOR-37   PIC S9(3)  COMP  VALUE +247.         94/08/20
093700         03  EBCDIC-FOR-38   PIC S9(3)  COMP  VALUE +248.         94/08/20
093800         03  EBCDIC-FOR-39   PIC S9(3)  COMP  VALUE +249.         94/08/20
093900         03  EBCDIC-FOR-3A   PIC S9(3)  COMP  VALUE +122.         94/08/20
094000         03  EBCDIC-FOR-3B   PIC S9(3)  COMP  VALUE +094.         94/08/20
094100         03  EBCDIC-FOR-3C   PIC S9(3)  COMP  VALUE +076.         94/08/20
094200         03  EBCDIC-FOR-3D   PIC S9(3)  COMP  VALUE +126.         94/08/20
094300         03  EBCDIC-FOR-3E   PIC S9(3)  COMP  VALUE +110.         94/08/20
094400         03  EBCDIC-FOR-3F   PIC S9(3)  COMP  VALUE +111.         94/08/20
094500                                                                  94/08/19
094600         03  EBCDIC-FOR-40   PIC S9(3)  COMP  VALUE +124.         94/08/20
094700         03  EBCDIC-FOR-41   PIC S9(3)  COMP  VALUE +193.         94/08/20
094800         03  EBCDIC-FOR-42   PIC S9(3)  COMP  VALUE +194.         94/08/20
094900         03  EBCDIC-FOR-43   PIC S9(3)  COMP  VALUE +195.         94/08/20
095000         03  EBCDIC-FOR-44   PIC S9(3)  COMP  VALUE +196.         94/08/20
095100         03  EBCDIC-FOR-45   PIC S9(3)  COMP  VALUE +197.         94/08/20
095200         03  EBCDIC-FOR-46   PIC S9(3)  COMP  VALUE +198.         94/08/20
095300         03  EBCDIC-FOR-47   PIC S9(3)  COMP  VALUE +199.         94/08/20
095400         03  EBCDIC-FOR-48   PIC S9(3)  COMP  VALUE +200.         94/08/20
095500         03  EBCDIC-FOR-49   PIC S9(3)  COMP  VALUE +201.         94/08/20
095600         03  EBCDIC-FOR-4A   PIC S9(3)  COMP  VALUE +209.         94/08/20
095700         03  EBCDIC-FOR-4B   PIC S9(3)  COMP  VALUE +210.         94/08/20
095800         03  EBCDIC-FOR-4C   PIC S9(3)  COMP  VALUE +211.         94/08/20
095900         03  EBCDIC-FOR-4D   PIC S9(3)  COMP  VALUE +212.         94/08/20
096000         03  EBCDIC-FOR-4E   PIC S9(3)  COMP  VALUE +213.         94/08/20
096100         03  EBCDIC-FOR-4F   PIC S9(3)  COMP  VALUE +214.         94/08/20
096200                                                                  94/08/19
096300         03  EBCDIC-FOR-50   PIC S9(3)  COMP  VALUE +215.         94/08/20
096400         03  EBCDIC-FOR-51   PIC S9(3)  COMP  VALUE +216.         94/08/20
096500         03  EBCDIC-FOR-52   PIC S9(3)  COMP  VALUE +217.         94/08/20
096600         03  EBCDIC-FOR-53   PIC S9(3)  COMP  VALUE +226.         94/08/20
096700         03  EBCDIC-FOR-54   PIC S9(3)  COMP  VALUE +227.         94/08/20
096800         03  EBCDIC-FOR-55   PIC S9(3)  COMP  VALUE +228.         94/08/20
096900         03  EBCDIC-FOR-56   PIC S9(3)  COMP  VALUE +229.         94/08/20
097000         03  EBCDIC-FOR-57   PIC S9(3)  COMP  VALUE +230.         94/08/20
097100         03  EBCDIC-FOR-58   PIC S9(3)  COMP  VALUE +231.         94/08/20
097200         03  EBCDIC-FOR-59   PIC S9(3)  COMP  VALUE +232.         94/08/20
097300         03  EBCDIC-FOR-5A   PIC S9(3)  COMP  VALUE +233.         94/08/20
097400         03  EBCDIC-FOR-5B   PIC S9(3)  COMP  VALUE +074.         94/08/20
097500         03  EBCDIC-FOR-5C   PIC S9(3)  COMP  VALUE +224.         94/08/20
097600         03  EBCDIC-FOR-5D   PIC S9(3)  COMP  VALUE +090.         94/08/20
097700         03  EBCDIC-FOR-5E   PIC S9(3)  COMP  VALUE +095.         94/08/20
097800         03  EBCDIC-FOR-5F   PIC S9(3)  COMP  VALUE +109.         94/08/20
097900                                                                  94/08/19
098000         03  EBCDIC-FOR-60   PIC S9(3)  COMP  VALUE +121.         94/08/20
098100         03  EBCDIC-FOR-61   PIC S9(3)  COMP  VALUE +129.         94/08/20
098200         03  EBCDIC-FOR-62   PIC S9(3)  COMP  VALUE +130.         94/08/20
098300         03  EBCDIC-FOR-63   PIC S9(3)  COMP  VALUE +131.         94/08/20
098400         03  EBCDIC-FOR-64   PIC S9(3)  COMP  VALUE +132.         94/08/20
098500         03  EBCDIC-FOR-65   PIC S9(3)  COMP  VALUE +133.         94/08/20
098600         03  EBCDIC-FOR-66   PIC S9(3)  COMP  VALUE +134.         94/08/20
098700         03  EBCDIC-FOR-67   PIC S9(3)  COMP  VALUE +135.         94/08/20
098800         03  EBCDIC-FOR-68   PIC S9(3)  COMP  VALUE +136.         94/08/20
098900         03  EBCDIC-FOR-69   PIC S9(3)  COMP  VALUE +137.         94/08/20
099000         03  EBCDIC-FOR-6A   PIC S9(3)  COMP  VALUE +145.         94/08/20
099100         03  EBCDIC-FOR-6B   PIC S9(3)  COMP  VALUE +146.         94/08/20
099200         03  EBCDIC-FOR-6C   PIC S9(3)  COMP  VALUE +147.         94/08/20
099300         03  EBCDIC-FOR-6D   PIC S9(3)  COMP  VALUE +148.         94/08/20
099400         03  EBCDIC-FOR-6E   PIC S9(3)  COMP  VALUE +149.         94/08/20
099500         03  EBCDIC-FOR-6F   PIC S9(3)  COMP  VALUE +150.         94/08/20
099600                                                                  94/08/19
099700         03  EBCDIC-FOR-70   PIC S9(3)  COMP  VALUE +151.         94/08/20
099800         03  EBCDIC-FOR-71   PIC S9(3)  COMP  VALUE +152.         94/08/20
099900         03  EBCDIC-FOR-72   PIC S9(3)  COMP  VALUE +153.         94/08/20
100000         03  EBCDIC-FOR-73   PIC S9(3)  COMP  VALUE +162.         94/08/20
100100         03  EBCDIC-FOR-74   PIC S9(3)  COMP  VALUE +163.         94/08/20
100200         03  EBCDIC-FOR-75   PIC S9(3)  COMP  VALUE +164.         94/08/20
100300         03  EBCDIC-FOR-76   PIC S9(3)  COMP  VALUE +165.         94/08/20
100400         03  EBCDIC-FOR-77   PIC S9(3)  COMP  VALUE +166.         94/08/20
100500         03  EBCDIC-FOR-78   PIC S9(3)  COMP  VALUE +167.         94/08/20
100600         03  EBCDIC-FOR-79   PIC S9(3)  COMP  VALUE +168.         94/08/20
100700         03  EBCDIC-FOR-7A   PIC S9(3)  COMP  VALUE +169.         94/08/20
100800         03  EBCDIC-FOR-7B   PIC S9(3)  COMP  VALUE +192.         94/08/20
100900         03  EBCDIC-FOR-7C   PIC S9(3)  COMP  VALUE +106.         94/08/20
101000         03  EBCDIC-FOR-7D   PIC S9(3)  COMP  VALUE +208.         94/08/20
101100         03  EBCDIC-FOR-7E   PIC S9(3)  COMP  VALUE +161.         94/08/20
101200         03  EBCDIC-FOR-7F   PIC S9(3)  COMP  VALUE +007.         94/08/20
101300     02  FILLER              REDEFINES  EBCDIC-CHARS.             94/08/19
101400         03  EBCDIC-CHAR     PIC S9(3)  COMP  OCCURS 127.         94/08/19
101500                                                                  94/08/19
101600 LINKAGE SECTION.                                                 SOBEMAP.
101700                                                                  SOBEMAP.
101800 01  CONVPK-CONTROL.                                              SOBEMAP.
101900     02  SESSION-TASK-ID     PIC X(4).                            SOBEMAP.
102000     02  CONVPK-OPERATION    PIC X.                               SOBEMAP.
102100     02  CONVPK-FEEDBACK     PIC X.                               SOBEMAP.
102200         88  CONVPK-USE-SIZE            VALUE IS ".".             94/08/19
102300     02  CONVPK-SIZE         PIC S9(3)  COMP.                     94/08/19
102400                                                                  SOBEMAP.
102500 01  CONVPK-CHARS.                                                94/08/19
102600     02  CONVPK-CHAR         PIC X           OCCURS  81 TIMES.    94/08/19
102700                                                                  SOBEMAP.
102800 01  CONVPK-VALUES.                                               94/08/19
102900     02  CONVPK-VALUE        PIC S9(3) COMP  OCCURS  81 TIMES.    89/10/24
103000                                                                  89/10/24
103100 PROCEDURE DIVISION                                               87/01/27
103200     USING CONVPK-CONTROL                                         88/06/13
103300           CONVPK-CHARS                                           94/08/19
103400           CONVPK-VALUES.                                         94/08/19
103500 BEGIN-PROGRAM.                                                   SOBEMAP.
103600     MOVE LOW-VALUE TO CHAR-HIGH                                  88/05/31
103700     IF CONVPK-USE-SIZE                                           94/08/19
103800         MOVE CONVPK-SIZE TO THE-SIZE                             94/08/19
103900         IF THE-SIZE < 0  OR 81 < THE-SIZE                        94/08/19
104000             MOVE ZEROES  TO THE-SIZE                             94/08/19
104100             MOVE "SIZE"  TO CONVPK-FEEDBACK                      94/08/19
104200         ELSE                                                     94/08/19
104300             MOVE SPACE   TO CONVPK-FEEDBACK                      94/08/19
104400     ELSE                                                         94/08/19
104500         MOVE      81     TO THE-SIZE                             94/08/19
104600         MOVE     SPACE   TO CONVPK-FEEDBACK                      94/08/20
104700     .                                                            94/08/19
104800     IF CONVPK-OPERATION = "A"                                    94/08/19
104900         PERFORM CONVERT-ASCII-TO-EBCDIC                          94/08/19
105000     ELSE                                                         SOBEMAP.
105100     IF CONVPK-OPERATION = "X"                                    94/08/19
105200         PERFORM CONVERT-EBCDIC-TO-ASCII                          94/08/19
105300     ELSE                                                         94/08/19
105400     IF CONVPK-OPERATION = "C"                                    94/08/19
105500         PERFORM CONVERT-CHARS-TO-ETK                             94/08/19
105600     ELSE                                                         94/08/19
105700     IF CONVPK-OPERATION = "N"                                    94/08/19
105800         PERFORM CONVERT-CHARS-TO-NATIVE                          94/08/19
105900     ELSE                                                         87/05/11
106000     IF CONVPK-OPERATION = "V"                                    87/05/11
106100         PERFORM CONVERT-BYTES-TO-VALUES                          87/05/11
106200     ELSE                                                         87/05/11
106300     IF CONVPK-OPERATION = "B"                                    87/05/11
106400         PERFORM CONVERT-VALUES-TO-BYTES                          87/05/11
106500     ELSE                                                         87/05/11
106600     IF CONVPK-OPERATION = "D"                                    89/01/16
106700         PERFORM DECODE-BYTE-TO-VALUE                             89/01/16
106800     ELSE                                                         89/01/16
106900     IF CONVPK-OPERATION = "E"                                    89/01/16
107000         PERFORM ENCODE-VALUE-TO-BYTE                             89/01/16
107100     ELSE                                                         89/01/16
107200     IF CONVPK-OPERATION = "U"                                    87/05/11
107300         PERFORM CONVERT-CHARS-TO-UPPER-CASE                      94/08/19
107400     ELSE                                                         87/05/11
107500     IF CONVPK-OPERATION = "L"                                    88/06/13
107600         PERFORM CONVERT-CHARS-TO-LOWER-CASE                      94/08/19
107700     ELSE                                                         88/06/13
107800     IF CONVPK-OPERATION = "R"                                    89/10/06
107900         PERFORM RANK-CHARS-FOR-SORTING                           89/10/06
108000     ELSE                                                         89/10/06
108100     IF CONVPK-OPERATION = "I"                                    89/10/06
108200         PERFORM INVERT-CHARACTERS                                89/10/06
108300     ELSE                                                         89/10/06
108400         MOVE "O" TO CONVPK-FEEDBACK                              SOBEMAP.
108500     .                                                            SOBEMAP.
108600 RETURN-TO-CALLER.                                                SOBEMAP.
108700     EXIT PROGRAM                                                 SOBEMAP.
108800     .                                                            SOBEMAP.
108900                                                                  SOBEMAP.
109000******************************************************************88/06/13
109100                                                                  88/06/13
109200 CONVERT-EBCDIC-TO-ASCII.                                         94/08/19
109300     PERFORM CONVERT-BYTE-TO-ASCII                                94/08/19
109400       VARYING CHAR-INDEX FROM 1 BY 1                             94/08/19
109500         UNTIL CHAR-INDEX > THE-SIZE                              94/08/19
109600     .                                                            94/08/19
109700                                                                  94/08/19
109800 CONVERT-BYTE-TO-ASCII.                                           94/08/19
109900     MOVE CONVPK-CHAR (CHAR-INDEX) TO CHAR                        94/08/19
110000     IF CHAR-VALUE > ZERO                                         94/08/19
110100         MOVE ASCII-CHAR (CHAR-VALUE) TO CHAR-VALUE               94/08/19
110200     ELSE                                                         94/08/19
110300         MOVE 000 TO CHAR-VALUE                                   94/08/20
110400     .                                                            94/08/19
110500     MOVE CHAR TO CONVPK-CHAR (CHAR-INDEX)                        94/08/19
110600     .                                                            94/08/19
110700                                                                  94/08/19
110800 CONVERT-ASCII-TO-EBCDIC.                                         94/08/19
110900     PERFORM CONVERT-BYTE-TO-EBCDIC                               94/08/19
111000       VARYING CHAR-INDEX FROM 1 BY 1                             94/08/19
111100         UNTIL CHAR-INDEX > THE-SIZE                              94/08/19
111200     .                                                            94/08/19
111300                                                                  94/08/19
111400 CONVERT-BYTE-TO-EBCDIC.                                          94/08/19
111500     MOVE CONVPK-CHAR (CHAR-INDEX) TO CHAR                        94/08/19
111600     IF CHAR-VALUE > 127                                          94/08/19
111700         SUBTRACT 128 FROM CHAR-VALUE                             94/08/20
111800     .                                                            94/08/19
111900     IF CHAR-VALUE > ZERO                                         94/08/19
112000         MOVE EBCDIC-CHAR (CHAR-VALUE) TO CHAR-VALUE              94/08/19
112100     ELSE                                                         94/08/19
112200         MOVE 000 TO CHAR-VALUE                                   94/08/20
112300     .                                                            94/08/19
112400     MOVE CHAR TO CONVPK-CHAR (CHAR-INDEX)                        94/08/19
112500     .                                                            94/08/19
112600                                                                  94/08/19
112700 CONVERT-CHARS-TO-ETK.                                            94/08/19
112800     PERFORM CONVERT-CHAR-TO-ETK                                  87/05/11
112900       VARYING CHAR-INDEX FROM 1 BY 1                             SOBEMAP.
113000         UNTIL CHAR-INDEX > THE-SIZE                              94/08/19
113100     .                                                            SOBEMAP.
113200                                                                  SOBEMAP.
113300 CONVERT-CHAR-TO-ETK.                                             87/05/11
113400     MOVE CONVPK-CHAR (CHAR-INDEX) TO CHAR                        94/08/19
113500     ADD 1 TO CHAR-VALUE                                          88/05/31
113600     MOVE ETK-CHAR-VALUE (CHAR-VALUE)                             87/05/11
113700       TO   CONVPK-VALUE (CHAR-INDEX)                             88/06/13
113800     MOVE LOW-VALUE TO CHAR-HIGH                                  88/09/26
113900     .                                                            SOBEMAP.
114000                                                                  SOBEMAP.
114100 CONVERT-CHARS-TO-NATIVE.                                         94/08/19
114200     MOVE EOT-CHAR TO N-EOT-1                                     87/05/11
114300     MOVE EOL-CHAR TO N-EOL-2                                     87/05/11
114400     MOVE ESC-CHAR TO N-ESC-4                                     87/05/11
114500     MOVE TAB-CHAR TO N-TAB-8                                     87/05/11
114600                                                                  87/05/11
114700     PERFORM CONVERT-CHAR-TO-NATIVE                               87/05/11
114800       VARYING CHAR-INDEX FROM 1 BY 1                             87/05/11
114900         UNTIL CHAR-INDEX > THE-SIZE                              94/08/19
115000     .                                                            87/05/11
115100                                                                  87/05/11
115200 CONVERT-CHAR-TO-NATIVE.                                          87/05/11
115300     MOVE CONVPK-VALUE (CHAR-INDEX) TO CHAR-VALUE                 88/05/31
115400     MOVE LOW-VALUE TO CHAR-HIGH                                  88/09/26
115500     MOVE NATIVE-CHAR  (CHAR-VALUE)                               87/05/11
115600       TO CONVPK-CHAR (CHAR-INDEX)                                94/08/19
115700     .                                                            87/05/11
115800                                                                  87/05/11
115900 CONVERT-BYTES-TO-VALUES.                                         87/05/11
116000     PERFORM CONVERT-BYTE-TO-VALUE                                87/05/11
116100       VARYING CHAR-INDEX FROM 1 BY 1                             87/05/11
116200         UNTIL CHAR-INDEX > THE-SIZE                              94/08/19
116300     .                                                            87/05/11
116400                                                                  87/05/11
116500 CONVERT-BYTE-TO-VALUE.                                           87/05/11
116600     MOVE CONVPK-CHAR (CHAR-INDEX) TO CHAR                        94/08/19
116700     MOVE CHAR-VALUE TO CONVPK-VALUE (CHAR-INDEX)                 87/05/11
116800     .                                                            87/05/11
116900                                                                  87/05/11
117000 DECODE-BYTE-TO-VALUE.                                            89/01/16
117100     IF THE-SIZE > ZERO                                           94/08/19
117200         MOVE 1 TO CHAR-INDEX                                     94/08/19
117300         PERFORM CONVERT-BYTE-TO-VALUE                            94/08/19
117400     .                                                            89/01/16
117500                                                                  89/01/16
117600 CONVERT-VALUES-TO-BYTES.                                         87/05/11
117700     PERFORM CONVERT-VALUE-TO-BYTE                                87/05/11
117800       VARYING CHAR-INDEX FROM 1 BY 1                             87/05/11
117900         UNTIL CHAR-INDEX > THE-SIZE                              94/08/19
118000     .                                                            87/05/11
118100                                                                  87/05/11
118200 CONVERT-VALUE-TO-BYTE.                                           87/05/11
118300     MOVE CONVPK-VALUE (CHAR-INDEX) TO CHAR-VALUE                 87/05/11
118400     MOVE LOW-VALUE TO CHAR-HIGH                                  88/09/26
118500     MOVE   CHAR    TO CONVPK-CHAR (CHAR-INDEX)                   94/08/19
118600     .                                                            87/05/11
118700                                                                  87/05/11
118800 ENCODE-VALUE-TO-BYTE.                                            89/01/16
118900     IF THE-SIZE > ZERO                                           94/08/19
119000         MOVE 1 TO CHAR-INDEX                                     94/08/19
119100         PERFORM CONVERT-VALUE-TO-BYTE                            94/08/19
119200     .                                                            89/01/16
119300                                                                  89/01/16
119400 CONVERT-CHARS-TO-UPPER-CASE.                                     94/08/19
119500     PERFORM CONVERT-CHAR-TO-UPPER-CASE                           87/05/11
119600       VARYING CHAR-INDEX FROM 1 BY 1                             87/05/11
119700         UNTIL CHAR-INDEX > THE-SIZE                              94/08/19
119800     .                                                            87/05/11
119900                                                                  87/05/11
120000 CONVERT-CHAR-TO-UPPER-CASE.                                      87/05/11
120100     MOVE CONVPK-CHAR (CHAR-INDEX) TO CHAR                        94/08/19
120200     ADD 1 TO CHAR-VALUE                                          88/05/31
120300     MOVE ETK-CHAR-VALUE (CHAR-VALUE) TO CHAR-VALUE               87/05/11
120400     IF CHAR-VALUE > 50                                           88/09/26
120500         PERFORM CONVERT-TO-UPPER                                 88/09/26
120600         MOVE      NATIVE-CHAR (CHAR-VALUE)                       88/09/26
120700           TO CONVPK-CHAR (CHAR-INDEX)                            94/08/19
120800     .                                                            87/05/11
120900                                                                  87/05/11
121000 CONVERT-TO-UPPER.                                                88/09/26
121100     IF CHAR-VALUE < 80                                           88/09/26
121200         SUBTRACT 30 FROM CHAR-VALUE                              88/09/26
121300     ELSE                                                         88/09/26
121400     IF CHAR-VALUE > 112                                          89/10/05
121500         SUBTRACT 112 FROM CHAR-VALUE                             89/10/05
121600         MOVE UC-ACC-CHAR (CHAR-VALUE) TO CHAR-VALUE              88/09/26
121700     .                                                            88/09/26
121800                                                                  88/09/26
121900 CONVERT-CHARS-TO-LOWER-CASE.                                     94/08/19
122000     PERFORM CONVERT-CHAR-TO-LOWER-CASE                           87/05/11
122100       VARYING CHAR-INDEX FROM 1 BY 1                             87/05/11
122200         UNTIL CHAR-INDEX > THE-SIZE                              94/08/19
122300     .                                                            87/05/11
122400                                                                  87/05/11
122500 CONVERT-CHAR-TO-LOWER-CASE.                                      87/05/11
122600     MOVE CONVPK-CHAR (CHAR-INDEX) TO CHAR                        94/08/19
122700     ADD 1 TO CHAR-VALUE                                          88/05/31
122800     MOVE ETK-CHAR-VALUE (CHAR-VALUE) TO CHAR-VALUE               87/05/11
122900     IF 20 < CHAR-VALUE AND CHAR-VALUE < 50                       87/05/11
123000         ADD 30 TO CHAR-VALUE                                     87/05/11
123100         MOVE      NATIVE-CHAR (CHAR-VALUE)                       88/06/13
123200           TO CONVPK-CHAR (CHAR-INDEX)                            94/08/19
123300     ELSE                                                         89/10/06
123400     IF CHAR-VALUE > 109                                          89/10/06
123500         IF CHAR-VALUE = 110                                      89/10/06
123600             MOVE NATIVE-CHAR (116)                               89/10/06
123700               TO CONVPK-CHAR (CHAR-INDEX)                        94/08/19
123800         ELSE                                                     89/10/06
123900         IF CHAR-VALUE = 111                                      89/10/06
124000             MOVE NATIVE-CHAR (125)                               89/10/06
124100               TO CONVPK-CHAR (CHAR-INDEX)                        94/08/19
124200         ELSE                                                     89/10/06
124300         IF CHAR-VALUE = 112                                      89/10/06
124400             MOVE NATIVE-CHAR (128)                               89/10/06
124500               TO CONVPK-CHAR (CHAR-INDEX)                        94/08/19
124600     .                                                            87/05/11
124700                                                                  87/05/11
124800 RANK-CHARS-FOR-SORTING.                                          89/10/06
124900     PERFORM RANK-CHARACTER                                       89/10/06
125000       VARYING CHAR-INDEX FROM 1 BY 1                             89/10/06
125100         UNTIL CHAR-INDEX > THE-SIZE                              94/08/19
125200     .                                                            89/10/06
125300                                                                  89/10/06
125400 RANK-CHARACTER.                                                  89/10/06
125500     MOVE CONVPK-CHAR (CHAR-INDEX) TO CHAR                        94/08/19
125600     IF CHAR > LOW-VALUE                                          89/12/08
125700         ADD 1 TO CHAR-VALUE                                      89/10/06
125800         MOVE ETK-CHAR-VALUE (CHAR-VALUE) TO CHAR-VALUE           89/10/06
125900         MOVE  RANKED-CHAR   (CHAR-VALUE)                         89/10/06
126000           TO CONVPK-CHAR (CHAR-INDEX)                            94/08/19
126100     .                                                            89/10/06
126200                                                                  89/10/06
126300 INVERT-CHARACTERS.                                               89/10/06
126400     PERFORM INVERT-CHARACTER                                     89/10/06
126500       VARYING CHAR-INDEX FROM 1 BY 1                             89/10/06
126600         UNTIL CHAR-INDEX > THE-SIZE                              94/08/19
126700     .                                                            89/10/06
126800                                                                  89/10/06
126900 INVERT-CHARACTER.                                                89/10/06
127000     MOVE CONVPK-CHAR (CHAR-INDEX) TO CHAR                        94/08/19
127100     COMPUTE CHAR-VALUE = 255 - CHAR-VALUE                        89/10/06
127200     MOVE CHAR TO CONVPK-CHAR (CHAR-INDEX)                        94/08/19
127300     .                                                            89/10/06